<?php
// Paramètres de connexion à la base de données
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "gestion";

// Connexion à la base de données
$conn = new mysqli($servername, $username, $password, $dbname);

// Vérifier la connexion
if ($conn->connect_error) {
    die("Connexion échouée : " . $conn->connect_error);
}

// Récupération des totaux
$totalFournisseurs = ($result = $conn->query("SELECT COUNT(*) as total FROM fournisseurs")) ? $result->fetch_assoc()['total'] : 0;
$totalCommandes = ($result = $conn->query("SELECT COUNT(*) as total FROM commandes")) ? $result->fetch_assoc()['total'] : 0;
$totalRavitaillements = ($result = $conn->query("SELECT COUNT(*) as total FROM ravitaillents")) ? $result->fetch_assoc()['total'] : 0;
$totalProduitsVendus = ($result = $conn->query("SELECT SUM(quantite) as total FROM details_ventes")) ? $result->fetch_assoc()['total'] ?? 0 : 0;
$totalProduits = ($result = $conn->query("SELECT COUNT(*) as total FROM products")) ? $result->fetch_assoc()['total'] : 0;


// Récupérer la liste des produits
$search = $_GET['search'] ?? '';
$sqlProduits = "SELECT p.name, p.stock AS quantite_totale, 
                IFNULL(SUM(dv.quantite), 0) AS nombre_vendu, 
                (p.stock - IFNULL(SUM(dv.quantite), 0)) AS reste 
                FROM products p 
                LEFT JOIN details_ventes dv ON p.id = dv.produit_id 
                WHERE p.name LIKE '%$search%' 
                GROUP BY p.id";
$resultProduits = $conn->query($sqlProduits);

?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gestion des Produits</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
            background-color: #f4f4f9;
        }
        h1, h2 {
            color: #333;
            text-align: center;
        }
        .summary {
            display: flex;
            justify-content: space-around;
            margin-bottom: 20px;
            background-color: #007BFF;
            color: white;
            padding: 15px;
            border-radius: 8px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
            background-color: #fff;
        }
        table th {
            background-color: #007BFF;
            color: white;
            padding: 10px;
        }
        table td {
            padding: 8px;
            text-align: center;
            border-bottom: 1px solid #ddd;
        }
        table tr:nth-child(even) {
            background-color: #f2f2f2;
        }
        input[type="text"] {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
        }
    </style>
    <script>
        // Fonction de recherche dynamique
        function searchProduct() {
            const search = document.getElementById('search').value;
            const xhr = new XMLHttpRequest();
            xhr.open('GET', '?search=' + search, true);
            xhr.onload = function() {
                if (this.status === 200) {
                    const parser = new DOMParser();
                    const doc = parser.parseFromString(this.responseText, 'text/html');
                    document.getElementById('productTable').innerHTML = doc.getElementById('productTable').innerHTML;
                }
            }
            xhr.send();
        }
    </script>
</head>
<body>
    <h1>Tableau de Gestion des Produits</h1>
    <div class="summary">
        <div>Total Fournisseurs : <strong><?php echo $totalFournisseurs; ?></strong></div>
        <div>Total Commandes : <strong><?php echo $totalCommandes; ?></strong></div>
        <div>Total Ravitaillements : <strong><?php echo $totalRavitaillements; ?></strong></div>
        <div>Produits Vendus : <strong><?php echo $totalProduitsVendus; ?></strong></div>
        <div>Total Produits : <strong><?php echo $totalProduits; ?></strong></div>
    </div>

    <!-- Zone de recherche -->
    <input type="text" id="search" placeholder="Rechercher un produit..." onkeyup="searchProduct()">

    <!-- Tableau des produits -->
    <div id="productTable">
        <table>
            <thead>
                <tr>
                    <th>Nom du Produit</th>
                    <th>Quantité Totale</th>
                    <th>Nombre Vendu</th>
                    <th>Reste</th>
                </tr>
            </thead>
            <tbody>
                <?php while ($row = $resultProduits->fetch_assoc()): ?>
                    <tr>
                        <td><?php echo htmlspecialchars($row['name']); ?></td>
                        <td><?php echo $row['quantite_totale']; ?></td>
                        <td><?php echo $row['nombre_vendu']; ?></td>
                        <td><?php echo $row['reste']; ?></td>
                    </tr>
                <?php endwhile; ?>
            </tbody>
        </table>
    </div>
</body>
</html>
<?php
$conn->close();
?>
