<?php
session_start();
include 'db_connect.php';

// Fetch data
$querySuppliers = "SELECT COUNT(*) AS total_suppliers FROM suppliers";
$queryProducts = "SELECT COUNT(*) AS total_products FROM products";
$querySoldProducts = "SELECT SUM(quantity_sold) AS total_sold FROM products";
$queryOrders = "SELECT COUNT(*) AS total_orders FROM orders";
$queryDeliveredOrders = "SELECT COUNT(*) AS delivered_orders FROM orders WHERE status = 'delivered'";
$queryPendingOrders = "SELECT COUNT(*) AS pending_orders FROM orders WHERE status = 'pending'";
$queryRemainingProducts = "SELECT SUM(stock) AS total_remaining FROM products";

// Execute queries
$suppliers = $conn->query($querySuppliers)->fetch_assoc();
$products = $conn->query($queryProducts)->fetch_assoc();
$soldProducts = $conn->query($querySoldProducts)->fetch_assoc();
$orders = $conn->query($queryOrders)->fetch_assoc();
$deliveredOrders = $conn->query($queryDeliveredOrders)->fetch_assoc();
$pendingOrders = $conn->query($queryPendingOrders)->fetch_assoc();
$remainingProducts = $conn->query($queryRemainingProducts)->fetch_assoc();

// Alert condition
$productAlert = "";
if ($remainingProducts['total_remaining'] < (0.2 * $products['total_products'])) {
    $productAlert = "<div class='alert'>Warning: Stock is below 20%!</div>";
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }
        .container {
            width: 80%;
            margin: auto;
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }
        h1 {
            color: #333;
            text-align: center;
        }
        .card {
            background: linear-gradient(45deg, #007bff, #6c757d);
            color: white;
            padding: 20px;
            margin: 10px 0;
            border-radius: 8px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        .card h2 {
            margin: 0;
        }
        .alert {
            background: #ffcc00;
            color: #333;
            padding: 10px;
            border-radius: 5px;
            margin-top: 20px;
            text-align: center;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Tableau de bord</h1>

        <div class="card">
            <h2>Total des fournisseurs</h2>
            <p><?= $suppliers['total_suppliers'] ?></p>
        </div>
        <div class="card">
            <h2>Total Produits</h2>
            <p><?= $products['total_products'] ?></p>
        </div>
        <div class="card">
            <h2>Produits vendus</h2>
            <p><?= $soldProducts['total_sold'] ?></p>
        </div>
        <div class="card">
            <h2>Total des commandes</h2>
            <p><?= $orders['total_orders'] ?></p>
        </div>
        <div class="card">
            <h2>Commandes livrées</h2>
            <p><?= $deliveredOrders['delivered_orders'] ?></p>
        </div>
        <div class="card">
            <h2>Commandes en attente</h2>
            <p><?= $pendingOrders['pending_orders'] ?></p>
        </div>
        <div class="card">
            <h2>Produits restants</h2>
            <p><?= $remainingProducts['total_remaining'] ?></p>
        </div>

        <?= $productAlert ?>
    </div>
</body>
</html>
