<?php
session_start();
include 'db_connect.php';

// Traitement de la suppression
if(isset($_POST['delete'])) {
    $id = $conn->real_escape_string($_POST['id']);
    $conn->query("DELETE FROM commandes WHERE id = '$id'");
}

// Traitement de l'ajout
if(isset($_POST['submit'])) {
    $client = $conn->real_escape_string($_POST['client']);
    $produit = $conn->real_escape_string($_POST['produit']);
    $quantite = $conn->real_escape_string($_POST['quantite']);
    $prix = $conn->real_escape_string($_POST['prix']);
    
    $sql = "INSERT INTO commandes (client, produit, quantite, prix, date_creation, total_commande) 
            VALUES ('$client', '$produit', '$quantite', '$prix', NOW(), $quantite*$prix)";
    $conn->query($sql);
}

// Récupération des fournisseurs
$fournisseurs = $conn->query("SELECT * FROM fournisseurs ORDER BY nom");
?>
<!DOCTYPE html>
<html>
<head>
    <title>Gestion des Commandes</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet">
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        body {
            background-color: #f5f5f5;
            padding: 2rem;
            color: #333;
        }

        h2 {
            color: #2c3e50;
            margin-bottom: 1.5rem;
            padding-bottom: 0.5rem;
            border-bottom: 2px solid #3498db;
        }

        form {
            background: white;
            padding: 2rem;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            margin-bottom: 2rem;
            max-width: 800px;
        }

        .form-group {
            margin-bottom: 1.5rem;
            display: flex;
            flex-direction: column;
        }

        label {
            margin-bottom: 0.5rem;
            color: #2c3e50;
            font-weight: 500;
        }

        input[type="text"],
        input[type="number"],
        select {
            padding: 0.8rem;
            border: 1px solid #ddd;
            border-radius: 4px;
            font-size: 1rem;
            transition: all 0.3s ease;
        }

        input[type="submit"],
        button {
            background-color: #3498db;
            color: white;
            padding: 0.8rem 1.5rem;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 1rem;
            transition: background-color 0.3s ease;
        }

        input[type="submit"]:hover,
        button:hover {
            background-color: #2980b9;
        }

        .table-container {
            background: white;
            padding: 1rem;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            overflow-x: auto;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 1rem;
            font-size: 0.9rem;
        }

        th {
            background-color: #f8f9fa;
            color: #2c3e50;
            font-weight: 600;
            padding: 1rem;
            text-align: left;
            border-bottom: 2px solid #ddd;
        }

        td {
            padding: 1rem;
            border-bottom: 1px solid #eee;
        }

        tr:hover {
            background-color: #f8f9fa;
        }

        .actions {
            display: none;
            background: #f8f9fa;
            padding: 1rem;
            border-radius: 4px;
            margin-top: 0.5rem;
        }

        .toggle-actions {
            cursor: pointer;
            color: #3498db;
            font-size: 1.2rem;
        }

        .toggle-actions:hover {
            color: #2980b9;
        }

        .delete-btn {
            background-color: #e74c3c;
        }

        .delete-btn:hover {
            background-color: #c0392b;
        }

        .view-btn {
            background-color: #2ecc71;
            margin-right: 10px;
        }

        .view-btn:hover {
            background-color: #27ae60;
        }

        .sidebar {
            width: 250px;
            background-color: #001f3f;
            color: #fff;
            height: 100vh;
            position: fixed;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .main-content {
            margin-left: 250px;
            padding: 20px;
        }

        .sidebar ul {
            list-style: none;
            padding: 0;
            margin: 0;
            width: 100%;
        }

        .sidebar ul li {
            padding: 15px 20px;
            border-bottom: 1px solid rgba(255, 255, 255, 0.2);
            text-align: center;
            color: white;
        }

        .sidebar ul li:hover {
            background-color: #002b4e;
            cursor: pointer;
        }

        .sidebar ul li a {
            color: white;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="sidebar">
        <div class="logo-container">
            <img src="image/logognimaholding.PNG" alt="Logo" style="max-width: 100%; max-height: 150%;">
        </div>
        <ul>
            <li><a href="brod_gestionnaire.php">Accueil</a></li>
            <li><a href="page_produit_bon.php">Produits</a></li>
            <li><a href="enregistrer_fournisseur.php">Fournisseurs</a></li>
            <li><a href="enregistrer_commande.php">Commandes</a></li>
            <li><a href="enregistrer_ravitaillements.php">Ravitaillement</a></li>
            <li><a href="https://www.exemple1.com">Tous détail produit</a></li>
            <li><a href="https://www.exemple1.com">Statistiques</a></li>
            <li><a href="index.php">Déconnexion</a></li>
        </ul>
    </div>

    <div class="main-content">
        <h2>Nouvelle Commande</h2>
        <form method="post" action="">
            <div class="form-group">
                <label>Client:</label>
                <select name="client" required>
                    <option value="">Sélectionner un fournisseur</option>
                    <?php
                    while($fournisseur = $fournisseurs->fetch_assoc()) {
                        echo "<option value='" . htmlspecialchars($fournisseur['nom']) . "'>" . 
                             htmlspecialchars($fournisseur['nom']) . "</option>";
                    }
                    ?>
                </select>
            </div>
            <div class="form-group">
                <label>Produit:</label>
                <input type="text" name="produit" required placeholder="Nom du produit">
            </div>
            <div class="form-group">
                <label>Quantité:</label>
                <input type="number" name="quantite" required placeholder="0">
            </div>
            <div class="form-group">
                <label>Prix:</label>
                <input type="number" step="0.01" name="prix" required placeholder="0.00">
            </div>
            <input type="submit" name="submit" value="Enregistrer">
        </form>

        <h2>Liste des Commandes</h2>
        <div class="table-container">
            <table>
                <tr>
                    <th>ID</th>
                    <th>Client</th>
                    <th>Produit</th>
                    <th>Quantité</th>
                    <th>Prix</th>
                    <th>Total</th>
                    <th>Date</th>
                    <th>Actions</th>
                </tr>
                <?php
                $result = $conn->query("SELECT * FROM commandes ORDER BY date_creation DESC");
                while($row = $result->fetch_assoc()) {
                    echo "<tr>
                            <td>{$row['id']}</td>
                            <td>{$row['client']}</td>
                            <td>{$row['produit']}</td>
                            <td>{$row['quantite']}</td>
                            <td>{$row['prix']} fcfa</td>
                            <td>{$row['total_commande']} fcfa</td>
                            <td>{$row['date_creation']}</td>
                            <td>
                                <span class='toggle-actions'><i class='fas fa-ellipsis-v'></i></span>
                                <div class='actions'>
                                    <form method='post' style='display:inline; box-shadow: none; padding: 0;'>
                                        <input type='hidden' name='id' value='{$row['id']}'>
                                        <button type='button' class='view-btn' onclick='viewOrder({$row['id']})'>Afficher</button>
                                        <input type='submit' name='delete' value='Supprimer' class='delete-btn' onclick='return confirm(\"Êtes-vous sûr ?\");'>
                                    </form>
                                </div>
                            </td>
                        </tr>";
                }
                ?>
            </table>
        </div>
    </div>

    <script>
        document.addEventListener('click', function(e) {
            if(e.target.classList.contains('toggle-actions') || e.target.parentElement.classList.contains('toggle-actions')) {
                const actions = e.target.closest('td').querySelector('.actions');
                const allActions = document.querySelectorAll('.actions');
                
                allActions.forEach(action => {
                    if (action !== actions) {
                        action.style.display = 'none';
                    }
                });
                
                actions.style.display = actions.style.display === 'none' ? 'block' : 'none';
            }
        });

        document.addEventListener('click', function(e) {
            if (!e.target.closest('.actions') && !e.target.classList.contains('toggle-actions') && !e.target.parentElement.classList.contains('toggle-actions')) {
                document.querySelectorAll('.actions').forEach(action => {
                    action.style.display = 'none';
                });
            }
        });

        function viewOrder(id) {
            // Fonction pour afficher les détails de la commande
            // À implémenter selon vos besoins
            alert('Affichage des détails de la commande ' + id);
        }
    </script>
</body>
</html>