<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Gestion des Fournisseurs</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/tailwindcss/2.2.19/tailwind.min.css" rel="stylesheet">
    <style>
        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0,0,0,0.5);
        }
        .modal-content {
            background-color: white;
            margin: 15% auto;
            padding: 20px;
            max-width: 500px;
            border-radius: 8px;
            position: relative;
        }
        .fade-in {
            animation: fadeIn 0.3s;
        }
        @keyframes fadeIn {
            from { opacity: 0; }
            to { opacity: 1; }
        }
        .actions {
            display: none;
            position: absolute;
            background: white;
            border: 1px solid #ddd;
            border-radius: 4px;
            padding: 0.5rem;
            box-shadow: 0 2px 5px rgba(0,0,0,0.2);
            z-index: 10;
        }
        tr:hover .actions {
            display: block;
        }
         body {
            font-family: Arial, sans-serif;
            margin: 0;
            background-color: #f4f4f4;
        }

        .sidebar {
            width: 250px;
            background-color: #001f3f;
            color: #fff;
            height: 100vh;
            position: fixed;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .sidebar .logo {
            width: 100%;
            background-color: #003366;
            text-align: center;
            padding: 20px 0;
            font-size: 20px;
            font-weight: bold;
        }

        .sidebar ul {
            list-style: none;
            padding: 0;
            margin: 0;
            width: 100%;
        }

        .sidebar ul li {
            padding: 15px 20px;
            border-bottom: 1px solid rgba(255, 255, 255, 0.2);
            text-align: center;
        }

        .sidebar ul li:hover {
            background-color: #002b4e;
            cursor: pointer;
        }

        .main-content {
            margin-left: 250px;
            padding: 20px;
        }

        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
            background-color: #333;
            color: white;
        }

        .header h2 {
            margin: 0;
        }

        .grid {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 15px;
            margin: 20px 0;
        }

        .card {
            background: white;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            padding: 15px;
            text-align: center;
        }

        .card h3 {
            margin: 10px 0;
        }

        .chart-container {
            display: flex;
            justify-content: space-between;
            margin-top: 30px;
        }

        .chart {
            background: white;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            padding: 20px;
            width: 48%;
        }

        .chart h3 {
            margin-bottom: 20px;
        }

        .footer {
            margin-top: 50px;
            text-align: center;
            color: #aaa;
        }

        .pie-chart {
            height: 200px;
            background: #eaeaea;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
        }

        .bar-chart {
            height: 200px;
            background: #eaeaea;
            display: flex;
            align-items: flex-end;
            justify-content: space-around;
        }

        .bar {
            width: 20px;
            background-color: #7dbe45;
            margin: 0 10px;
        }

        .bar.blue {
            background-color: #5b9bd5;
        }
    </style>
</head>
<body class="bg-gray-100 min-h-screen p-8">
     
     <div class="sidebar">
        <div class="logo-container">
            <img src="image/logognimaholding.PNG" alt="Logo" style="max-width: 100%; max-height: 150%;">
        </div>
        <ul>
            <li > <a href="brod_gestionnaire.php">Accueil</a></li>
            <li> <a href="page_produit_bon.php">Produits</a></li>
            <li> <a href="enregistrer_fournisseur.php">Fournisseurs</a></li>
            <li> <a href="enregistrer_commande.php">Commandes</a></li>
            <li> <a href="enregistrer_ravitaillements.php">Ravitaillement</a></li>
            <li> <a href="https://www.exemple1.com">Tous détail produit</a></li>
            <li> <a href="https://www.exemple1.com">Statistiques</a></li>
            <li> <a href="index.php">Déconnexion</a></li>
        </ul>
    </div>

    <div class="main-content">
        <div class="header">
            <h2>Tableau de bord</h2>
            <div>
                <span>🔔</span>
                <span>⚙</span>
                <span>🔓</span>
            </div>
        </div>

       

       

       
    

    <?php
    
    include 'db_connect.php';

    if(isset($_POST['delete'])) {
        $id = intval($_POST['id']);
        $conn->query("DELETE FROM fournisseurs WHERE id = $id");
    }

    if(isset($_POST['update'])) {
        $id = intval($_POST['id']);
        $nom = $conn->real_escape_string($_POST['nom']);
        $contact = $conn->real_escape_string($_POST['contact']);
        $email = $conn->real_escape_string($_POST['email']);
        $lieu = $conn->real_escape_string($_POST['lieu_residence']);
        
        $sql = "UPDATE fournisseurs SET nom='$nom', contact='$contact', 
                email='$email', lieu_residence='$lieu' WHERE id=$id";
        $conn->query($sql);
    }

    if(isset($_POST['submit'])) {
        $nom = $conn->real_escape_string($_POST['nom']);
        $contact = $conn->real_escape_string($_POST['contact']);
        $email = $conn->real_escape_string($_POST['email']);
        $lieu = $conn->real_escape_string($_POST['lieu_residence']);
        
        $sql = "INSERT INTO fournisseurs (nom, contact, email, lieu_residence) 
                VALUES ('$nom', '$contact', '$email', '$lieu')";
        $conn->query($sql);
    }
    ?>

    <div class="max-w-6xl mx-auto">
        <div class="bg-white rounded-lg shadow-lg p-6 mb-8">
            <h2 class="text-2xl font-bold mb-6">Ajouter un Fournisseur</h2>
            <form method="post" class="space-y-4">
                <div class="grid grid-cols-1 md:grid-cols-2 gap-4">
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Nom</label>
                        <input type="text" name="nom" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Contact</label>
                        <input type="text" name="contact" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Email</label>
                        <input type="email" name="email" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Lieu de résidence</label>
                        <input type="text" name="lieu_residence" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                </div>
                <div class="flex justify-end">
                    <button type="submit" name="submit"
                        class="bg-blue-600 text-white px-4 py-2 rounded-md hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2">
                        Enregistrer
                    </button>
                </div>
            </form>
        </div>

        <div class="bg-white rounded-lg shadow-lg p-6">
            <h2 class="text-2xl font-bold mb-6">Liste des Fournisseurs</h2>
            <div class="overflow-x-auto">
                <table class="min-w-full">
                    <thead class="bg-gray-50">
                        <tr>
                            <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">ID</th>
                            <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Nom</th>
                            <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Contact</th>
                            <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Email</th>
                            <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Lieu</th>
                            <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Actions</th>
                        </tr>
                    </thead>
                    <tbody class="bg-white divide-y divide-gray-200">
                        <?php
                        $result = $conn->query("SELECT * FROM fournisseurs");
                        while($row = $result->fetch_assoc()) {
                            echo "<tr class='hover:bg-gray-50'>";
                            echo "<td class='px-6 py-4 whitespace-nowrap'>".$row['id']."</td>";
                            echo "<td class='px-6 py-4 whitespace-nowrap'>".$row['nom']."</td>";
                            echo "<td class='px-6 py-4 whitespace-nowrap'>".$row['contact']."</td>";
                            echo "<td class='px-6 py-4 whitespace-nowrap'>".$row['email']."</td>";
                            echo "<td class='px-6 py-4 whitespace-nowrap'>".$row['lieu_residence']."</td>";
                            echo "<td class='px-6 py-4 whitespace-nowrap relative'>
                                    <button class='text-gray-500 hover:text-gray-700'>•••</button>
                                    <div class='actions'>
                                        <button onclick='modifier(".$row['id'].", \"".htmlspecialchars($row['nom'])."\", 
                                        \"".htmlspecialchars($row['contact'])."\", \"".htmlspecialchars($row['email'])."\", 
                                        \"".htmlspecialchars($row['lieu_residence'])."\")'
                                        class='block w-full text-left px-4 py-2 text-sm text-gray-700 hover:bg-gray-100'>
                                            Modifier
                                        </button>
                                        <form method='post' class='block'>
                                            <input type='hidden' name='id' value='".$row['id']."'>
                                            <button type='submit' name='delete' 
                                            onclick='return confirm(\"Confirmer la suppression ?\");'
                                            class='block w-full text-left px-4 py-2 text-sm text-red-600 hover:bg-gray-100'>
                                                Supprimer
                                            </button>
                                        </form>
                                    </div>
                                  </td>";
                            echo "</tr>";
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div id="editModal" class="modal">
        <div class="modal-content">
            <h3 class="text-lg font-bold mb-4">Modifier le fournisseur</h3>
            <form id="editForm" method="post">
                <input type="hidden" name="id" id="editId">
                <div class="space-y-4">
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Nom</label>
                        <input type="text" name="nom" id="editNom" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Contact</label>
                        <input type="text" name="contact" id="editContact" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Email</label>
                        <input type="email" name="email" id="editEmail" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                    <div>
                        <label class="block text-sm font-medium text-gray-700">Lieu de résidence</label>
                        <input type="text" name="lieu_residence" id="editLieu" required
                            class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-blue-500 focus:ring-blue-500">
                    </div>
                </div>
                <div class="mt-4 flex justify-end space-x-2">
                    <button type="button" onclick="closeModal()"
                        class="px-4 py-2 text-sm font-medium text-gray-700 bg-gray-100 rounded-md hover:bg-gray-200 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">
                        Annuler
                    </button>
                    <button type="submit" name="update"
                        class="px-4 py-2 text-sm font-medium text-white bg-blue-600 rounded-md hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500">
                        Sauvegarder
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
    <script>
        function modifier(id, nom, contact, email, lieu) {
            document.getElementById('editId').value = id;
            document.getElementById('editNom').value = nom;
            document.getElementById('editContact').value = contact;
            document.getElementById('editEmail').value = email;
            document.getElementById('editLieu').value = lieu;
            document.getElementById('editModal').style.display = 'block';
        }

        function closeModal() {
            document.getElementById('editModal').style.display = 'none';
        }

        window.onclick = function(event) {
            let modal = document.getElementById('editModal');
            if (event.target == modal) {
                closeModal();
            }
        }
    </script>
</body>
</html>