<?php
session_start();
include 'db_connect.php';

// Ajouter une commande
if (isset($_POST['add_command'])) {
    $client = $conn->real_escape_string($_POST['client']);
    $produit = $conn->real_escape_string($_POST['produit']);
    $quantite = intval($_POST['quantite']);
    $prix = floatval($_POST['prix']);

    $conn->query("INSERT INTO commandes (client, produit, quantite, prix) VALUES ('$client', '$produit', $quantite, $prix)");
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit;
}

// Modifier une commande
if (isset($_POST['update_command'])) {
    $id = intval($_POST['id']);
    $client = $conn->real_escape_string($_POST['client']);
    $produit = $conn->real_escape_string($_POST['produit']);
    $quantite = intval($_POST['quantite']);
    $prix = floatval($_POST['prix']);

    $conn->query("UPDATE commandes SET client='$client', produit='$produit', quantite=$quantite, prix=$prix WHERE id=$id");
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit;
}

// Supprimer une commande
if (isset($_GET['delete'])) {
    $id = intval($_GET['delete']);
    $conn->query("DELETE FROM commandes WHERE id=$id");
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit;
}

// Récupérer les commandes
$search = isset($_GET['search']) ? $conn->real_escape_string($_GET['search']) : '';
$query = "SELECT * FROM commandes ORDER BY id DESC ";
if ($search) {
    $query .= " WHERE client LIKE '%$search%' OR produit LIKE '%$search%'";
}
$result = $conn->query($query);
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gestion des Commandes</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
<div class="container mt-5">
    <h1 class="text-center">Gestion des Commandes</h1>

    <!-- Formulaire d'ajout -->
    <form method="POST" class="row g-3 mb-4">
        <div class="col-md-3">
            <input type="text" name="client" class="form-control" placeholder="Nom du client" required>
        </div>
        <div class="col-md-3">
            <input type="text" name="produit" class="form-control" placeholder="Produit" required>
        </div>
        <div class="col-md-2">
            <input type="number" name="quantite" class="form-control" placeholder="Quantité" required>
        </div>
        <div class="col-md-2">
            <input type="number" step="0.01" name="prix" class="form-control" placeholder="Prix" required>
        </div>
        <div class="col-md-2">
            <button type="submit" name="add_command" class="btn btn-primary w-100">Ajouter</button>
        </div>
    </form>

    <!-- Barre de recherche -->
    <div class="mb-4">
        <input type="text" id="search" class="form-control" placeholder="Rechercher...">
    </div>

    <!-- Tableau des commandes -->
    <table class="table table-bordered table-striped">
        <thead class="table-dark">
        <tr>
            <th>ID</th>
            <th>Client</th>
            <th>Produit</th>
            <th>Quantité</th>
            <th>Prix</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody id="table-body">
        <?php while ($row = $result->fetch_assoc()): ?>
            <tr>
                <td><?= $row['id'] ?></td>
                <td><?= $row['client'] ?></td>
                <td><?= $row['produit'] ?></td>
                <td><?= $row['quantite'] ?></td>
                <td><?= $row['prix'] ?></td>
                <td>
                    <button class="btn btn-warning btn-sm" onclick="editCommand(<?= $row['id'] ?>, '<?= $row['client'] ?>', '<?= $row['produit'] ?>', <?= $row['quantite'] ?>, <?= $row['prix'] ?>)">Modifier</button>
                    <a href="?delete=<?= $row['id'] ?>" class="btn btn-danger btn-sm">Supprimer</a>
                </td>
            </tr>
        <?php endwhile; ?>
        </tbody>
    </table>
</div>

<!-- Modal de modification -->
<div class="modal" id="editModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Modifier la commande</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <form method="POST" id="editForm">
                    <input type="hidden" name="id" id="edit-id">
                    <div class="mb-3">
                        <input type="text" name="client" id="edit-client" class="form-control" placeholder="Nom du client" required>
                    </div>
                    <div class="mb-3">
                        <input type="text" name="produit" id="edit-produit" class="form-control" placeholder="Produit" required>
                    </div>
                    <div class="mb-3">
                        <input type="number" name="quantite" id="edit-quantite" class="form-control" placeholder="Quantité" required>
                    </div>
                    <div class="mb-3">
                        <input type="number" step="0.01" name="prix" id="edit-prix" class="form-control" placeholder="Prix" required>
                    </div>
                    <button type="submit" name="update_command" class="btn btn-success">Enregistrer</button>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    // Recherche en temps réel
    $('#search').on('keyup', function () {
        const value = $(this).val().toLowerCase();
        $('#table-body tr').filter(function () {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);
        });
    });

    // Préparer le formulaire de modification
    function editCommand(id, client, produit, quantite, prix) {
        $('#edit-id').val(id);
        $('#edit-client').val(client);
        $('#edit-produit').val(produit);
        $('#edit-quantite').val(quantite);
        $('#edit-prix').val(prix);
        $('#editModal').modal('show');
    }
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
