<?php

session_start();
include 'db_connect.php';


// Traitement de l'ajout d'un ravitaillement
if (isset($_POST['add_ravitaillement'])) {
    $lieu = $_POST['lieu'];
    $date_heure = $_POST['date_heure'];
    $produits = $_POST['produit'];
    $prix = $_POST['prix'];

    $total = array_sum($prix);

    // Insérer les informations principales du ravitaillement
    $stmt = $conn->prepare("INSERT INTO ravitaillements (lieu, date_heure, total) VALUES (?, ?, ?)");
    $stmt->bind_param("ssd", $lieu, $date_heure, $total);
    $stmt->execute();
    $ravitaillement_id = $stmt->insert_id;

    // Insérer les produits liés
    $stmt = $conn->prepare("INSERT INTO produit_ravit (ravitaillement_id, nom, prix) VALUES (?, ?, ?)");
    foreach ($produits as $index => $produit) {
        $stmt->bind_param("isd", $ravitaillement_id, $produit, $prix[$index]);
        $stmt->execute();
    }
    echo "<script>alert('Ravitaillement ajouté avec succès.');</script>";
}

// Suppression d'un ravitaillement
if (isset($_GET['delete_id'])) {
    $delete_id = $_GET['delete_id'];
    $conn->query("DELETE FROM produit_ravit WHERE ravitaillement_id = $delete_id");
    $conn->query("DELETE FROM ravitaillements WHERE id = $delete_id");
    echo "<script>alert('Ravitaillement supprimé.'); window.location='';</script>";
}

// Mise à jour d'un ravitaillement
if (isset($_POST['update_ravitaillement'])) {
    $id = $_POST['id'];
    $lieu = $_POST['lieu'];
    $date_heure = $_POST['date_heure'];
    $produits = $_POST['produit'];
    $prix = $_POST['prix'];

    $total = array_sum($prix);
    $conn->query("UPDATE ravitaillements SET lieu = '$lieu', date_heure = '$date_heure', total = $total WHERE id = $id");
    $conn->query("DELETE FROM produit_ravit WHERE ravitaillement_id = $id");

    $stmt = $conn->prepare("INSERT INTO produit_ravit (ravitaillement_id, nom, prix) VALUES (?, ?, ?)");
    foreach ($produits as $index => $produit) {
        $stmt->bind_param("isd", $id, $produit, $prix[$index]);
        $stmt->execute();
    }
    echo "<script>alert('Ravitaillement mis à jour.'); window.location='';</script>";
}

// Récupérer les ravitaillements
$result = $conn->query("SELECT * FROM ravitaillements");
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gestion des Ravitaillements</title>
    <style>
        body { font-family: Arial, sans-serif; margin: 20px; }
        table { width: 100%; border-collapse: collapse; margin-top: 20px; }
        table, th, td { border: 1px solid #ddd; }
        th, td { padding: 10px; text-align: left; }
        th { background-color: #f4f4f4; }
        .form-container { margin-bottom: 20px; padding: 20px; background: #f9f9f9; border: 1px solid #ddd; }
        .form-group { margin-bottom: 10px; }
        .form-group label { display: block; margin-bottom: 5px; }
        .form-group input, .form-group button { width: 100%; padding: 10px; margin-top: 5px; }
        .form-group button { background: #007bff; color: white; border: none; cursor: pointer; }
        .form-group button:hover { background: #0056b3; }
    </style>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>

<h1>Gestion des Ravitaillements</h1>

<div class="form-container">
    <form method="post">
        <div class="form-group">
            <label for="lieu">Lieu de livraison :</label>
            <input type="text" id="lieu" name="lieu" required>
        </div>

        <div class="form-group">
            <label for="date_heure">Date et Heure :</label>
            <input type="datetime-local" id="date_heure" name="date_heure" required>
        </div>

        <div class="form-group" id="produits-container">
            <label>Produits :</label>
            <div>
                <input type="text" name="produit[]" placeholder="Nom du produit" required>
                <input type="number" name="prix[]" placeholder="Prix" required>
            </div>
        </div>
        <button type="button" id="add-produit">Ajouter un produit</button>

        <div class="form-group">
            <button type="submit" name="add_ravitaillement">Ajouter Ravitaillement</button>
        </div>
    </form>
</div>

<h2>Liste des Ravitaillements</h2>
<input type="text" id="search" placeholder="Rechercher...">
<table>
    <thead>
        <tr>
            <th>ID</th>
            <th>Lieu</th>
            <th>Date et Heure</th>
            <th>Total</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody id="ravitaillements">
        <?php while ($row = $result->fetch_assoc()) { ?>
            <tr>
                <td><?php echo $row['id']; ?></td>
                <td><?php echo $row['lieu']; ?></td>
                <td><?php echo $row['date_heure']; ?></td>
                <td><?php echo $row['total']; ?> FCFA</td>
                <td>
                    <a href="?delete_id=<?php echo $row['id']; ?>" onclick="return confirm('Confirmer la suppression ?');">Supprimer</a>
                    <a href="#" onclick="editRavitaillement(<?php echo $row['id']; ?>);">Modifier</a>
                </td>
            </tr>
        <?php } ?>
    </tbody>
</table>

<script>
    $(document).ready(function () {
        $('#add-produit').click(function () {
            $('#produits-container').append('<div><input type="text" name="produit[]" placeholder="Nom du produit" required><input type="number" name="prix[]" placeholder="Prix" required></div>');
        });

        $('#search').on('input', function () {
            var search = $(this).val().toLowerCase();
            $('#ravitaillements tr').filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(search) > -1);
            });
        });
    });

    function editRavitaillement(id) {
        alert('Fonction de modification à implémenter.');
    }
</script>

</body>
</html>
