<?php
session_start();
include 'db_connect.php';


// Gestion des erreurs
$erreur = "";

// Traitement de la connexion
if (isset($_POST['connexion'])) {
    $poste = $_SESSION['poste'];

    if ($poste == "administrateur" || $poste == "gestionnaire") {
        $email = $_POST['email'];
        $password = $_POST['password'];

        $sql = "SELECT * FROM employes WHERE poste = ? AND email = ? AND password = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("sss", $poste, $email, $password);
    } elseif ($poste == "caissiere") {
        $username = $_POST['username'];
        $password = $_POST['password'];

        $sql = "SELECT * FROM employes WHERE poste = ? AND username = ? AND password = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("sss", $poste, $username, $password);
    }

    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        // Redirection selon le poste
        if ($poste == "administrateur") {
            header("Location: administrateur.php");
            exit();
        } elseif ($poste == "gestionnaire") {
            header("Location: brod_gestionnaire.php");
            exit();
        } elseif ($poste == "caissiere") {
            header("Location: page_caisse.php");
            exit();
        }
    } else {
        $erreur = "<h3 style='color:red'>Échec de connexion. Vérifiez vos informations.</h3>";
    }

    $stmt->close();
}

// Sauvegarde du poste sélectionné
if (isset($_POST['choisir_poste'])) {
    $_SESSION['poste'] = $_POST['poste'];
}
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Connexion des Employés</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            font-family: 'Arial', sans-serif;
            overflow-x: hidden;
            background-color: #f5f5f5;
        }

        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 1rem 2rem;
            background-color: white;
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
            position: fixed;
            width: 100%;
            top: 0;
            z-index: 1000;
        }

        .logo-container {
  display: flex; /* Flexbox pour gérer l'image */
  justify-content: center;
  align-items: center;
  width: 120px; /* Largeur spécifique du conteneur */
  height: 80px; /* Hauteur spécifique du conteneur */
  overflow: hidden; /* Coupe l'image qui dépasse */
}

/* Image du logo */
.logo {
  width: 100%; /* S'adapte à la largeur du conteneur */
  height: auto; /* Maintient le ratio si besoin */
  object-fit: contain; /* Ajuste l'image sans la déformer */
}

        .company-name {
            position: absolute;
            left: 50%;
            transform: translateX(-50%);
            font-size: 24px;
            font-weight: bold;
            color: #2c3e50;
        }

        .carousel {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100vh;
            z-index: -1;
        }

        .carousel-image {
            position: absolute;
            width: 100%;
            height: 100%;
            object-fit: cover;
            opacity: 0;
            transition: opacity 2s ease-in-out;
        }

        .carousel-image.active {
            opacity: 0.3;
        }

        .container {
            width: 400px;
            margin: 120px auto 50px;
            background-color: rgba(255, 255, 255, 0.95);
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
            padding: 30px;
            border-radius: 15px;
            backdrop-filter: blur(5px);
            position: relative;
            z-index: 1;
        }

        .form-group {
            margin-bottom: 20px;
        }

        label {
            display: block;
            margin-bottom: 8px;
            color: #34495e;
            font-weight: 600;
        }

        input, select {
            width: 100%;
            padding: 12px;
            border: 2px solid #e0e0e0;
            border-radius: 8px;
            font-size: 16px;
            transition: border-color 0.3s;
            box-sizing: border-box;
        }

        input:focus, select:focus {
            border-color: #2980b9;
            outline: none;
        }

        button {
            width: 100%;
            padding: 12px;
            background-color: #2980b9;
            color: white;
            border: none;
            border-radius: 8px;
            font-size: 16px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        button:hover {
            background-color: #3498db;
        }

        .message {
            margin-top: 20px;
            text-align: center;
        }

        h1, h2 {
            text-align: center;
            color: #2c3e50;
            margin-bottom: 30px;
        }
    </style>
</head>
<body>
    <header class="header">
       <div class="logo-container">
    <img src="image/logognimaholding.PNG" alt="Logo" class="logo">
  </div>
        <div class="company-name">GNIMA HOLDING</div>
    </header>

    <div class="carousel">
        <img src="image/istockpho.jpg" class="carousel-image" alt="Image 1">
        <img src="image/istockphoto.jpg" class="carousel-image" alt="Image 2">
        <img src="image/systeme-point-vent.jpg" class="carousel-image" alt="Image 3">
        <img src="image/tyuioljh.jpg" class="carousel-image" alt="Image 4">
    </div>

    <div class="container">
        <form method="POST" action="" class="form-group">
            <h2>Sélection du poste</h2>
            <label for="poste">Votre fonction :</label>
            <select name="poste" id="poste" required>
                <option value="">-- Choisir un poste --</option>
                <option value="administrateur" <?php if(isset($_SESSION['poste']) && $_SESSION['poste'] == 'administrateur') echo "selected"; ?>>Administrateur</option>
                <option value="gestionnaire" <?php if(isset($_SESSION['poste']) && $_SESSION['poste'] == 'gestionnaire') echo "selected"; ?>>Gestionnaire</option>
                <option value="caissiere" <?php if(isset($_SESSION['poste']) && $_SESSION['poste'] == 'caissiere') echo "selected"; ?>>Caissière</option>
            </select>
            <button type="submit" name="choisir_poste">Continuer</button>
        </form>

        <?php if (isset($_SESSION['poste'])): ?>
            <?php if ($_SESSION['poste'] == "administrateur" || $_SESSION['poste'] == "gestionnaire"): ?>
                <form method="POST" action="" class="form-group">
                    <h2>Connexion <?php echo ucfirst($_SESSION['poste']); ?></h2>
                    <label>Email :</label>
                    <input type="email" name="email" required>
                    <label>Mot de passe :</label>
                    <input type="password" name="password" required>
                    <button type="submit" name="connexion">Se Connecter</button>
                </form>
            <?php elseif ($_SESSION['poste'] == "caissiere"): ?>
                <form method="POST" action="" class="form-group">
                    <h2>Connexion Caissière</h2>
                    <label>Nom d'utilisateur :</label>
                    <input type="text" name="username" required>
                    <label>Mot de passe :</label>
                    <input type="password" name="password" required>
                    <button type="submit" name="connexion">Se Connecter</button>
                </form>
            <?php endif; ?>
        <?php endif; ?>

        <div class="message">
            <?php if (!empty($erreur)) echo $erreur; ?>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const images = document.querySelectorAll('.carousel-image');
            let currentImage = 0;

            function showNextImage() {
                images[currentImage].classList.remove('active');
                currentImage = (currentImage + 1) % images.length;
                images[currentImage].classList.add('active');
            }

            images[0].classList.add('active');
            setInterval(showNextImage, 5000);
        });
    </script>
</body>
</html>