<?php
session_start();
include 'db_connect.php';

// Calculate dashboard statistics
$total = $total_ventes = $total_benefice = $nombre_ventes = 0;

$result = $conn->query("SELECT SUM(quantite * prix) AS total FROM commandes");
if ($result && $row = $result->fetch_assoc()) {
    $total = $row['total'] ?? 0;
}

$result = $conn->query("SELECT SUM(stock * price) AS total_ventes FROM products");
if ($result && $row = $result->fetch_assoc()) {
    $total_ventes = $row['total_ventes'] ?? 0;
}

$result = $conn->query("SELECT SUM(c.quantite * (p.price - c.prix)) AS total_benefice 
                       FROM commandes c
                       JOIN products p ON c.id = p.id");
if ($result && $row = $result->fetch_assoc()) {
    $total_benefice = $row['total_benefice'] ?? 0;
}

$result = $conn->query("SELECT COUNT(DISTINCT date_heure) AS nombre_ventes FROM ventes");
if ($result && $row = $result->fetch_assoc()) {
    $nombre_ventes = $row['nombre_ventes'] ?? 0;
}

// Handle supplier operations
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['add']) && !empty($_POST['nom']) && !empty($_POST['numero']) && !empty($_POST['email'])) {
        $nom = $conn->real_escape_string($_POST['nom']);
        $numero = $conn->real_escape_string($_POST['numero']);
        $email = $conn->real_escape_string($_POST['email']);
        
        $conn->query("INSERT INTO fournisseurs (nom, contact, email) VALUES ('$nom', '$numero', '$email')");
        header("Location: " . $_SERVER['PHP_SELF']);
        exit();
    } elseif (isset($_POST['update']) && !empty($_POST['id'])) {
        $id = (int)$_POST['id'];
        $nom = $conn->real_escape_string($_POST['nom']);
        $numero = $conn->real_escape_string($_POST['numero']);
        $email = $conn->real_escape_string($_POST['email']);
        
        $conn->query("UPDATE fournisseurs SET nom='$nom', contact='$numero', email='$email' WHERE id=$id");
        header("Location: " . $_SERVER['PHP_SELF']);
        exit();
    } elseif (isset($_POST['delete']) && !empty($_POST['id'])) {
        $id = (int)$_POST['id'];
        $conn->query("DELETE FROM fournisseurs WHERE id=$id");
        header("Location: " . $_SERVER['PHP_SELF']);
        exit();
    }
}

// Get suppliers list
$search = isset($_GET['search']) ? $conn->real_escape_string($_GET['search']) : '';
$query = "SELECT * FROM fournisseurs";
if ($search) {
    $query .= " WHERE nom LIKE '%$search%' OR contact LIKE '%$search%' OR email LIKE '%$search%'";
}
$query .= " ORDER BY id DESC";
$result = $conn->query($query);
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gestion des Fournisseurs</title>
    <style>
     /* Garder le même CSS que dans le code original */
        :root {
            --primary-color: #2c3e50;
            --secondary-color: #3498db;
            --background-color: #f5f6fa;
        }

        body {
            font-family: 'Arial', sans-serif;
            background-color: var(--background-color);
            margin: 0;
            padding: 20px;
        }

        .stats-container {
            display: flex;
            justify-content: space-between;
            margin-bottom: 30px;
        }

        .stat-box {
            background: linear-gradient(135deg, var(--secondary-color), var(--primary-color));
            color: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 10px 20px rgba(0,0,0,0.2);
            flex: 1;
            margin: 0 10px;
            transform: perspective(1000px) rotateX(5deg);
            transition: transform 0.3s ease;
        }

        .stat-box:hover {
            transform: perspective(1000px) rotateX(0deg);
        }

        .form-container {
            background: white;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 15px 30px rgba(0,0,0,0.1);
            margin-bottom: 30px;
        }

        .form-group {
            margin-bottom: 20px;
        }

        input, select {
            width: 100%;
            padding: 10px;
            border: 2px solid #ddd;
            border-radius: 5px;
            transition: border-color 0.3s ease;
        }

        input:focus, select:focus {
            border-color: var(--secondary-color);
            outline: none;
        }

        button {
            background: var(--secondary-color);
            color: white;
            padding: 12px 25px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: transform 0.3s ease;
        }

        button:hover {
            transform: translateY(-2px);
        }

        .products-table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0 10px;
        }

        .products-table th {
            background: var(--primary-color);
            color: white;
            padding: 15px;
            text-align: left;
        }

        .products-table tr {
            background: white;
            box-shadow: 0 5px 15px rgba(0,0,0,0.1);
            transform: perspective(1000px);
            transition: transform 0.3s ease;
        }

        .products-table tr:hover {
            transform: perspective(1000px) translateZ(20px);
        }

        .products-table td {
            padding: 15px;
            border-top: 1px solid #ddd;
            border-bottom: 1px solid #ddd;
        }

        .products-table td:first-child {
            border-left: 1px solid #ddd;
            border-top-left-radius: 5px;
            border-bottom-left-radius: 5px;
        }

        .products-table td:last-child {
            border-right: 1px solid #ddd;
            border-top-right-radius: 5px;
            border-bottom-right-radius: 5px;
        }
    </style>
</head>
<body>
   

  

   

    <div class="small-div">
        <h1>Gestion des Fournisseurs</h1>
        
        <form method="POST" action="">
            <input type="hidden" id="id" name="id">
            <input type="text" id="nom" name="nom" placeholder="Nom du fournisseur" required>
            <input type="text" id="contact" name="numero" placeholder="Numéro de téléphone" required>
            <input type="email" id="email" name="email" placeholder="Email" required>
            <button type="submit" name="add" id="add-btn">Ajouter</button>
            <button type="submit" name="update" id="update-btn" style="display: none;">Modifier</button>
        </form>

        <div class="search-bar">
            <input type="text" id="search-input" placeholder="Rechercher un fournisseur...">
        </div>

        <table>
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Nom</th>
                    <th>Numéro</th>
                    <th>Email</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody id="table-body">
                <?php if ($result && $result->num_rows > 0):
                    while ($row = $result->fetch_assoc()): ?>
                    <tr>
                        <td><?php echo htmlspecialchars($row['id']); ?></td>
                        <td><?php echo htmlspecialchars($row['nom']); ?></td>
                        <td><?php echo htmlspecialchars($row['contact']); ?></td>
                        <td><?php echo htmlspecialchars($row['email']); ?></td>
                        <td class="actions">
                            <form method="POST" style="display: inline;">
                            <button onclick="editFournisseur(<?php echo $row['id']; ?>, '<?php echo addslashes($row['nom']); ?>', '<?php echo addslashes($row['contact']); ?>', '<?php echo addslashes($row['email']); ?>')">Modifier</button>
                            
                                <input type="hidden" name="id" value="<?php echo $row['id']; ?>">
                                <button type="submit" name="delete" class="delete-btn">Supprimer</button>
                            </form>
                        </td>
                    </tr>
                <?php endwhile; endif; ?>
            </tbody>
        </table>
    </div>

    <script>
        function editFournisseur(id, nom, numero, email) {
            document.getElementById('id').value = id;
            document.getElementById('nom').value = nom;
            document.getElementById('contact').value = numero;
            document.getElementById('email').value = email;
            document.getElementById('add-btn').style.display = 'none';
            document.getElementById('update-btn').style.display = 'block';
        }

        document.getElementById('search-input').addEventListener('input', function(e) {
            const searchTerm = e.target.value.toLowerCase();
            const rows = document.querySelectorAll('#table-body tr');
            
            rows.forEach(row => {
                const text = row.textContent.toLowerCase();
                row.style.display = text.includes(searchTerm) ? '' : 'none';
            });
        });
    </script>
</body>
</html>