<?php
session_start();
include 'db_connect.php';
mysqli_set_charset($conn, 'utf8');

// Fonction pour sécuriser les entrées
function secure($data) {
    global $conn;
    return mysqli_real_escape_string($conn, htmlspecialchars($data));
}

// Logique de recherche
$search = isset($_POST['search']) ? secure($_POST['search']) : '';
$searchQuery = '';
if (!empty($search)) {
    $searchQuery = " WHERE nom_produit LIKE '%$search%'";
}

// Requête pour récupérer les ventes
$query = "SELECT id, numero_facture, date_heure, code_barre_produit, 
          nom_produit, quantite, prix_unitaire, total_produit, 
          total_montant, type_produit, moyen_paiement, 
          montant_recu, monnaie 
          FROM details_vente" 
          . $searchQuery . 
          " ORDER BY date_heure DESC";

$result = mysqli_query($conn, $query);

if (!$result) {
    die("Erreur dans la requête : " . mysqli_error($conn));
}

// Si c'est une requête AJAX, retourner uniquement les lignes du tableau
if(isset($_POST['search'])) {
    $output = '';
    while($row = mysqli_fetch_assoc($result)) {
        $output .= "<tr>";
        $output .= "<td>" . $row['numero_facture'] . "</td>";
        $output .= "<td>" . date('d/m/Y H:i', strtotime($row['date_heure'])) . "</td>";
        $output .= "<td>" . $row['code_barre_produit'] . "</td>";
        $output .= "<td>" . $row['nom_produit'] . "</td>";
        $output .= "<td>" . $row['quantite'] . "</td>";
        $output .= "<td>" . number_format($row['prix_unitaire'], 2, ',', ' ') . " fcfa</td>";
        $output .= "<td>" . number_format($row['total_produit'], 2, ',', ' ') . " fcfa</td>";
        $output .= "<td>" . $row['type_produit'] . "</td>";
        $output .= "<td>" . $row['moyen_paiement'] . "</td>";
        $output .= "</tr>";
    }
    echo $output;
    exit;
}
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Gestion des Ventes</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }
        
        .top-nav {
            background-color: #2c3e50;
            padding: 10px;
            color: white;
        }
        
        .top-nav a {
            color: white;
            text-decoration: none;
            margin-right: 15px;
            font-size: 14px;
        }
        
        .sidebar {
            width: 200px;
            background-color: #34495e;
            color: white;
            height: 100vh;
            float: left;
            position: fixed;
        }
        
        
        
        .main-content {
            margin-left: 210px;
            padding: 20px;
        }
        
        .search-bar {
            margin-bottom: 20px;
            position: relative;
        }
        
        .search-bar input {
            padding: 8px;
            width: 300px;
            border-radius: 4px;
            border: 1px solid #ddd;
        }
        
        table {
            width: 100%;
            border-collapse: collapse;
        }
        
        th, td {
            padding: 8px;
            border: 1px solid #ddd;
            text-align: left;
        }
        
        th {
            background-color: #517398;
            color: white;
        }
        
        tr:nth-child(even) {
            background-color: #f9f9f9;
        }
        
        #searchResults {
            position: absolute;
            width: 300px;
            background: white;
            border: 1px solid #ddd;
            border-top: none;
            display: none;
            z-index: 1000;
        }
        
        #searchResults div {
            padding: 10px;
            cursor: pointer;
        }
        
        #searchResults div:hover {
            background-color: #f5f5f5;
        }
    </style>
</head>
<body>
    <div class="top-nav">
        <a href="#"></a>
        <a href="page_caisse.php">Accueil</a>
        <a href="dashboard.php">Ventes</a>
        <a href="enregistre_depense.php">Dépenses</a>
        <a href="voir_point_caisse.php">Voir point</a>
        <a href="index.php">Déconnexion</a>
    </div>
    
    <div class="sidebar">
        <div class="logo-container">
            <img src="image/logognimaholding.PNG" alt="Logo" style="max-width: 100%; max-height: 150%;">
        </div>
        <div style="padding: 15px;">
            <input type="text" placeholder="Rechercher" style="width: 90%;" id="sidebarSearch">
        </div>
        <div style="padding: 15px;">
            <h4>Produits</h4>
            <ul style="list-style: none; padding-left: 10px;">
                <li>Nouveau produit</li>
                <li>Liste</li>
                <li>Stocks</li>
                <li>Statistiques</li>
            </ul>
        </div>
    </div>
    
    <div class="main-content">
        <h2>Liste des ventes</h2>
        
        <div class="search-bar">
            <input type="text" id="searchInput" placeholder="Rechercher un produit...">
            <div id="searchResults"></div>
        </div>
        
        <table>
            <thead>
                <tr>
                    <th>N° Facture</th>
                    <th>Date</th>
                    <th>Code barre</th>
                    <th>Produit</th>
                    <th>Quantité</th>
                    <th>Prix unitaire</th>
                    <th>Total produit</th>
                    <th>Type</th>
                    <th>Paiement</th>
                </tr>
            </thead>
            <tbody id="salesTable">
                <?php 
                while($row = mysqli_fetch_assoc($result)) {
                    echo "<tr>";
                    echo "<td>" . $row['numero_facture'] . "</td>";
                    echo "<td>" . date('d/m/Y H:i', strtotime($row['date_heure'])) . "</td>";
                    echo "<td>" . $row['code_barre_produit'] . "</td>";
                    echo "<td>" . $row['nom_produit'] . "</td>";
                    echo "<td>" . $row['quantite'] . "</td>";
                    echo "<td>" . number_format($row['prix_unitaire'], 2, ',', ' ') . " fcfa</td>";
                    echo "<td>" . number_format($row['total_produit'], 2, ',', ' ') . " fcfa</td>";
                    echo "<td>" . $row['type_produit'] . "</td>";
                    echo "<td>" . $row['moyen_paiement'] . "</td>";
                    echo "</tr>";
                }
                ?>
            </tbody>
        </table>
    </div>

    <script>
    $(document).ready(function() {
        let searchTimeout;

        function performSearch(searchInput, target) {
            clearTimeout(searchTimeout);
            searchTimeout = setTimeout(function() {
                let search = searchInput.val();
                if(search != '') {
                    $.ajax({
                        url: window.location.href,
                        method: 'POST',
                        data: {search: search},
                        success: function(response) {
                            target.html(response);
                        }
                    });
                }
            }, 300);
        }

        $('#searchInput').keyup(function() {
            performSearch($(this), $('#salesTable'));
        });
        
        $('#sidebarSearch').keyup(function() {
            let search = $(this).val();
            if(search != '') {
                performSearch($(this), $('#searchResults'));
                $('#searchResults').show();
            } else {
                $('#searchResults').hide();
            }
        });

        $(document).click(function(event) {
            if (!$(event.target).closest('#searchResults, #sidebarSearch').length) {
                $('#searchResults').hide();
            }
        });
    });
    </script>
</body>
</html>