<?php
// Définition de la page active
$page = isset($_GET['page']) ? $_GET['page'] : 'accueil';
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Interface de Gestion</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            height: 100vh;
        }

        .sidebar {
            width: 250px;
            background-color: #2c3e50;
            height: 100%;
            color: white;
            padding: 5px;
            display: flex;
            flex-direction: column;
        }

        .sidebar ul {
            list-style-type: none;
            padding: 0;
        }

        .sidebar ul li {
            margin-bottom: 0px;
        }

        .sidebar ul li a {
            color: white;
            text-decoration: none;
            display: block;
            padding: 10px;
            transition: background-color 0.3s;
        }

        .sidebar ul li a:hover, .sidebar ul li a.active {
            background-color: #34495e;
        }

        .main-content {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
        }

        .header {
            background-color: #3498db;
            color: white;
            padding: 20px;
            text-align: center;
        }

        .sections-container {
            display: flex;
            justify-content: space-around;
            padding: 5px;
        }

        .section {
            background-color: #ecf0f1;
            border: 1px solid #bdc3c7;
            padding: 20px;
            width: 30%;
            text-align: center;
        }

        .content-zone {
            flex-grow: 1;
            padding: 20px;
            background-color: #f4f4f4;
            overflow-y: auto;
        }

        .deconnection {
            margin-top: auto;
            background-color: #e74c3c;
            color: white;
        }
    </style>
</head>
<body>
    <div class="sidebar">
        <ul>
            <?php
            $menu_items = [
                'accueil' => 'Accueil',
                'produit' => 'Produit',
                'fournisseur' => 'Fournisseur',
                'commande' => 'Commande',
                'ravitaillement' => 'Ravitaillement',
                'tous produits' => 'Tous produits',
                'statistique' => 'Statistique'
            ];

            foreach ($menu_items as $key => $titre) {
                $active = ($page === $key) ? 'active' : '';
                echo "<li><a href='?page=$key' class='$active'>$titre</a></li>";
            }
            ?>
            <li class="deconnection">
                <a href="index.php">Déconnexion</a>
            </li>
        </ul>
    </div>

    <div class="main-content">
        <div class="header">
            <h1>Tableau de Bord de Gestion</h1>
        </div>

      

        <div class="content-zone">
            <?php
            // Gestion du contenu dynamique
            switch($page) {
                case 'accueil':
                    include 'acceuil.php';
                    break;
             case 'produit':
                    include 'page_saisie.php';
                    break;
                case 'fournisseur':
                    include 'p_fournisseur.php';
                    break;
                case 'commande':
                    include 'saisie_commendes.php';
                    break;
                case 'ravitaillement':
                    include 'gestion_ravitaillement.php';
                    break;
                case 'tous produits':
                    include 'tout_et_alerte.php';
                    break;
                case 'statistique':
                    include 'tout_et_alerte.php';
                    break;
                default:
                    // Page d'accueil par défaut
                    echo "<h2>Bienvenue sur votre tableau de bord</h2>";
                    echo "<p>Sélectionnez une option dans le menu pour commencer.</p>";
            }
            ?>
        </div>
    </div>
</body>
</html>