<?php
session_start();

include 'db_connect.php';


// Requête pour calculer la somme de (quantite * prix)
$sql = "SELECT SUM(quantite * prix) AS total FROM commandes";
$result = $conn->query($sql);

// Vérification du résultat
if ($result->num_rows > 0) {
    // Récupération de la valeur totale
    $row = $result->fetch_assoc();
    $total = $row['total'];
} else {
    $total = 0;
}
// Requête pour calculer le total des ventes (quantite * prix)
$sql = "SELECT SUM(stock * price) AS total_ventes FROM products";
$result = $conn->query($sql);

// Vérification du résultat
if ($result->num_rows > 0) {
    // Récupération de la valeur totale des ventes
    $row = $result->fetch_assoc();
    $total_ventes = $row['total_ventes'];
} else {
    $total_ventes = 0;
}
// Requête pour calculer le bénéfice en liant les tables commandes et products
$sql = "SELECT SUM(c.quantite * (p.price - c.prix)) AS total_benefice 
        FROM commandes c
        JOIN products p ON c.id = p.id";
$result = $conn->query($sql);

// Vérification du résultat
if ($result->num_rows > 0) {
    // Récupération de la valeur totale du bénéfice
    $row = $result->fetch_assoc();
    $total_benefice = $row['total_benefice'];
} else {
    $total_benefice = 0;
}
// Requête pour calculer le nombre de ventes selon le nombre de dates enregistrées
$sql = "SELECT COUNT(DISTINCT date_heure) AS nombre_ventes FROM ventes";
$result = $conn->query($sql);

// Vérification du résultat
if ($result->num_rows > 0) {
    // Récupération du nombre total de ventes
    $row = $result->fetch_assoc();
    $nombre_ventes = $row['nombre_ventes'];
} else {
    $nombre_ventes = 0;
}
// Traitement du formulaire
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (!isset($_SESSION['form_submitted'])) {
        $name = $_POST['name'];
        $type_pro = $_POST['type_pro'];
        $barcode = $_POST['barcode'];
        $stock = $_POST['stock'];
        $price = $_POST['price'];
        $category = $_POST['category'];
        $fournisseur_id = $_POST['fournisseur_id'];
        
        // Calcul automatique du seuil d'alerte (30% du stock)
        $seuil_alerte = $stock * 0.3;
        
       $sql = "INSERT INTO products (name, type_pro, barcode, stock, price, category, seuil_alerte, fournisseur_id, created_at) 
        VALUES (?, ?, ?, ?, ?, ?, ?, ?, NOW())";

$stmt = $conn->prepare($sql);
// Correction de la chaîne de type en 'sssiisdi' (8 paramètres au lieu de 9)
$stmt->bind_param("sssiisdi", $name, $type_pro, $barcode, $stock, $price, $category, $seuil_alerte, $fournisseur_id);
        if ($stmt->execute()) {
            $_SESSION['form_submitted'] = true;
            echo "<div class='alert alert-success'>Produit enregistré avec succès!</div>";
        } else {
            echo "<div class='alert alert-danger'>Erreur lors de l'enregistrement!</div>";
        }
        $stmt->close();
    }
} else {
    unset($_SESSION['form_submitted']);
}

// Récupération des statistiques
$sql_stats = "SELECT COUNT(*) as total_products, SUM(price) as total_price FROM products";
$result_stats = $conn->query($sql_stats);
$stats = $result_stats->fetch_assoc();

// Récupération des fournisseurs
$sql_fournisseurs = "SELECT * FROM fournisseurs ORDER BY nom";
$result_fournisseurs = $conn->query($sql_fournisseurs);
// Récupération des produits avec vérification de la requête
$sql_products = "SELECT p.*, f.nom as fournisseur_name 
                FROM products p 
                LEFT JOIN fournisseurs f ON p.id = f.id 
                ORDER BY p.created_at DESC";

$result_products = $conn->query($sql_products);

// Vérifiez si la requête a réussi
if ($result_products === false) {
    echo "<div class='alert alert-danger'>Erreur dans la requête SQL : " . htmlspecialchars($conn->error) . "</div>";
    $result_products = null; // Assurez-vous que la boucle while ci-dessous ne soit pas exécutée
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ADMINBSB - MATERIAL DESIGN</title>
    <style>
        :root {
            --pink: #E91E63;
            --cyan: #00BCD4;
            --green: #8BC34A;
            --orange: #FF9800;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background: #f5f5f5;
        }

        .top-bar {
            background: #F44336;
            color: white;
            padding: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .logo-space {
            display: flex;
            align-items: center;
            gap: 10px;
        }

        .logo-space img {
    width: 40px;
    height: 40px;
    margin-left: 4cm; /* Déplace le logo vers la droite de 5 cm */
}

        .sidebar {
            width: 250px;
            background: #2196F3;  /* Changé en bleu */
            height: calc(100vh - 60px);
            position: fixed;
            left: 0;
            box-shadow: 2px 0 5px rgba(0,0,0,0.1);
            color: white;
        }

        .profile-section {
            background: linear-gradient(45deg, #EC407A, #D81B60);
            color: white;
            padding: 20px;
            height: 150px;
        }

        .main-navigation {
            padding: 10px;
        }

        .nav-item {
            padding: 12px 15px;
            display: flex;
            align-items: center;
            cursor: pointer;
        }

        .nav-item:hover {
            background: rgba(255, 255, 255, 0.1);
        }

        .dashboard-cards {
            margin-left: 300px;
            padding: 20px;
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 20px;
        }

        .info-box {
            height: 80px;
            display: flex;
            align-items: center;
            padding: 20px;
            color: white;
            border-radius: 2px;
        }

        .info-box.pink { background: var(--pink); }
        .info-box.cyan { background: var(--cyan); }
        .info-box.green { background: var(--green); }
        .info-box.orange { background: var(--orange); }

        .info-box-number {
            font-size: 26px;
            font-weight: bold;
        }

        .cpu-chart {
            margin: 20px;
            margin-left: 320px;
            background: white;
            padding: 20px;
            border-radius: 2px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }

        .stats-grid {
            margin-left: 320px;
            padding: 0 20px;
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 20px;
        }


        .stats-card {
            background: white;
            padding: 20px;
            border-radius: 2px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }

        .social-trends {
            background: var(--cyan);
            color: white;
        }

        .task-list {
            margin-top: 20px;
            padding: 20px;
            margin-left: 320px;
            background: white;
            border-radius: 2px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }
        
        .status-badge {
            padding: 3px 8px;
            border-radius: 3px;
            background: #4CAF50;
            color: white;
            font-size: 12px;
        }

        .progress-bar {
            height: 20px;
            background: #4CAF50;
            border-radius: 3px;
        }
         .chart-container {
            display: flex;
            flex-direction: row;
            width: 100%;
            height: 350px; /* Hauteur fixe pour tous les graphiques */
            gap: 15px; /* Espace entre les graphiques */
            padding: 15px;
            box-sizing: border-box;
        }
        .chart-item {
            flex: 1;
            min-width: 0; /* Empêche le débordement */
            height: 100%;
            background-color: white;
            border-radius: 8px;
            padding: 15px;
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
        }
          /* Garder le même CSS que dans le code original */
        :root {
            --primary-color: #2c3e50;
            --secondary-color: #3498db;
            --background-color: #f5f6fa;
        }

        body {
            font-family: 'Arial', sans-serif;
            background-color: var(--background-color);
            margin: 0;
            padding: 20px;
        }

        .stats-container {
            display: flex;
            justify-content: space-between;
            margin-bottom: 30px;
        }

        .stat-box {
            background: linear-gradient(135deg, var(--secondary-color), var(--primary-color));
            color: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 10px 20px rgba(0,0,0,0.2);
            flex: 1;
            margin: 0 10px;
            transform: perspective(1000px) rotateX(5deg);
            transition: transform 0.3s ease;
        }

        .stat-box:hover {
            transform: perspective(1000px) rotateX(0deg);
        }

        .form-container {
            background: white;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 15px 30px rgba(0,0,0,0.1);
            margin-bottom: 30px;
        }

        .form-group {
            margin-bottom: 20px;
        }

        input, select {
            width: 100%;
            padding: 10px;
            border: 2px solid #ddd;
            border-radius: 5px;
            transition: border-color 0.3s ease;
        }

        input:focus, select:focus {
            border-color: var(--secondary-color);
            outline: none;
        }

        button {
            background: var(--secondary-color);
            color: white;
            padding: 12px 25px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: transform 0.3s ease;
        }

        button:hover {
            transform: translateY(-2px);
        }

        .products-table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0 10px;
        }

        .products-table th {
            background: var(--primary-color);
            color: white;
            padding: 15px;
            text-align: left;
        }

        .products-table tr {
            background: white;
            box-shadow: 0 5px 15px rgba(0,0,0,0.1);
            transform: perspective(1000px);
            transition: transform 0.3s ease;
        }

        .products-table tr:hover {
            transform: perspective(1000px) translateZ(20px);
        }

        .products-table td {
            padding: 15px;
            border-top: 1px solid #ddd;
            border-bottom: 1px solid #ddd;
        }

        .products-table td:first-child {
            border-left: 1px solid #ddd;
            border-top-left-radius: 5px;
            border-bottom-left-radius: 5px;
        }

        .products-table td:last-child {
            border-right: 1px solid #ddd;
            border-top-right-radius: 5px;
            border-bottom-right-radius: 5px;
        }
        .small-div {
    width: 1000px; /* Largeur du div */
    height: 700px; /* Hauteur du div */
    background-color: lightblue; /* Couleur de fond pour visualiser le div */
    padding: 10px; /* Espacement interne */
    margin: 20px auto; /* Espacement externe et centrage horizontal */
    border: 1px solid #ccc; /* Bordure pour visualisation */
    overflow: hidden; /* Gère le débordement si le contenu est plus grand */
    margin-left: auto; /* Pousse le div à droite */
    margin-right: 0; /* Colle le div au bord droit */
}

        :root {
            --cyan: #00BCD4;
            --green: #8BC34A;
            --orange: #FF9800;
            --primary-blue: #2196F3;
        }
        
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        
        body {
            font-family: 'Roboto', Arial, sans-serif;
            background: #f5f5f5;
        }
        
        .top-bar {
            background: var(--primary-blue);
            color: white;
            padding: 15px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            height: 70px;
        }
        
        .logo-space {
            flex: 1;
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 20px;
        }
        
        .logo-space img {
            width: 40px;
            height: 40px;
        }
        
        .company-name {
            font-weight: bold;
            font-size: 1.5em;
        }
        
        .icons {
            display: flex;
            gap: 20px;
            margin-right: 20px;
        }
        
        .sidebar {
            width: 250px;
            background: var(--primary-blue);
            height: calc(100vh - 70px);
            position: fixed;
            left: 0;
            box-shadow: 2px 0 5px rgba(0,0,0,0.1);
            color: white;
        }
        
        .profile-section {
            background: white;
            padding: 0;
            height: 150px;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        
        .profile-section img {
            max-width: 100%;
            max-height: 100%;
            object-fit: contain;
        }
        
        .nav-item {
            padding: 12px 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            transition: background 0.3s;
            text-align: center;
        }
        
        .nav-item:hover {
            background: rgba(255,255,255,0.1);
        }
        
        .dashboard-cards {
            margin-left: 300px;
            padding: 20px;
            display: flex;
            gap: 20px;
            flex-wrap: nowrap;
        }
        
        /* [Rest of the CSS remains unchanged] */
        .info-box {
            flex: 1;
            color: white;
            padding: 20px;
            border-radius: 4px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }
        
        .info-box.purchase { background: var(--green); }
        .info-box.sales { background: var(--cyan); }
        .info-box.profit { background: var(--green); }
        .info-box.count { background: var(--orange); }
        
        .chart-container {
            margin: 20px 20px 20px 300px;
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 20px;
        }
        
        .chart-item {
            background: white;
            padding: 20px;
            border-radius: 4px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
            height: 300px;
        }
        
        .task-list {
            margin: 20px 20px 20px 300px;
            background: white;
            padding: 20px;
            border-radius: 4px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }
        
        .task-list table {
            width: 100%;
            border-collapse: collapse;
        }
        
        .task-list th, .task-list td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #eee;
        }
        
        .task-list th {
            background: var(--primary-blue);
            color: white;
        }
        
        .task-list tr:hover {
            background: #f5f5f5;
        }
    .menu {
  display: flex;
  gap: 1.5rem;
  list-style: none;
  margin: 0;
  padding: 1rem;
  background-color: transparent; /* Enlever le fond */
  box-shadow: none; /* Enlever l'ombre */
}

.menu-item {
  text-decoration: none;
  color: white;
  font-weight: bold;
  font-size: 0.9rem;
  padding: 0.5rem 1rem;
  transition: color 0.3s ease; /* Transition pour un effet fluide */
}

.menu-item:hover {
  color: orange; /* Applique la couleur orange au survol */
}   
    </style>
</head>
<body>
    <div class="top-bar">
        <header class="header">
  <nav>
    <ul class="menu">
      <li><a class="menu-item" href="administrateur.php">ACCUEIL</a></li>
      <li><a class="menu-item" href="page_fournisseur.php">FOURNISSEURS</a></li>
      <li><a class="menu-item" href="page_produit.php">PRODUITS</a></li>
      <li><a class="menu-item" href="page_commande.php">COMMANDES</a></li>
      <li><a class="menu-item" href="page_utilisateur.php">UTILISATEURS</a></li>
      <li><a class="menu-item" href="benefice_produit.php">VOIR BENEFICES</a></li>
      
      <li><a class="menu-item" href="depense_tt.php">VOIR DEPENSE</a></li>
      <li><a class="menu-item" href="index.php">DECONNEXION</a></li>
    </ul>
  </nav>
</header>
    </div>

    <div class="sidebar">
        <div class="profile-section">
            <img src="image/logognimaholding.PNG" alt="Logo">
        </div>
        </div>
        <div class="main-navigation">
            
        </div>
    </div>

    <div class="dashboard-cards">
        <div class="info-box purchase">
            <div>
                <div>TOTAL DES ACHATS</div>
                 <?php echo " " . number_format($total, 2, ',', ' ') . " FCFA"; ?>
            </div>
        </div>
        <div class="info-box cyan">
            <div>
                <div>TOTAL DES VENTES</div>
               <?php echo " " . number_format($total_ventes, 2, ',', ' ') . " FCFA"; ?>
            </div>
        </div>
        <div class="info-box green">
            <div>
                <div>BENEFICES</div>
                 <?php echo " " . number_format($total_benefice, 2, ',', ' ') . " FCFA"; ?>
            </div>
        </div>
        <div class="info-box orange">
            <div>
                <div>NOMBRES DE VENTES</div>
                <?php echo " " . $nombre_ventes; ?>
            </div>
        </div>
    </div>

<div class="small-div">
     <!-- Statistiques -->
   
 <!-- Affichage du tableau -->
<table class="products-table">
    <thead>
        <tr>
            <th>Nom</th>
            <th>Type</th>
            <th>Code-barres</th>
            <th>Stock</th>
            <th>Prix</th>
            <th>Catégorie</th>
            <th>Seuil Alerte</th>
            <th>Fournisseur</th>
            <th>Date création</th>
        </tr>
    </thead>
    <tbody>
        <?php if ($result_products): ?>
            <?php while ($row = $result_products->fetch_assoc()): ?>
                <tr>
                    <td><?php echo htmlspecialchars($row['name']); ?></td>
                    <td><?php echo htmlspecialchars($row['type_pro']); ?></td>
                    <td><?php echo htmlspecialchars($row['barcode']); ?></td>
                    <td><?php echo htmlspecialchars($row['stock']); ?></td>
                    <td><?php echo htmlspecialchars($row['price']); ?> Fcfa</td>
                    <td><?php echo htmlspecialchars($row['category']); ?></td>
                    <td><?php echo htmlspecialchars($row['seuil_alerte']); ?></td>
                    <td><?php echo htmlspecialchars($row['fournisseur_name']); ?></td>
                    <td><?php echo htmlspecialchars($row['created_at']); ?></td>
                </tr>
            <?php endwhile; ?>
        <?php else: ?>
            <tr>
                <td colspan="9" style="text-align: center;">Aucun produit trouvé ou une erreur est survenue.</td>
            </tr>
        <?php endif; ?>
    </tbody>
</table>
</div>
    <!-- Tableau des produits -->
   
    <?php $conn->close(); ?>
</body>
</html>