<?php
session_start();
include 'db_connect.php';

// Traitement de la suppression
if(isset($_POST['delete'])) {
    $id = intval($_POST['delete_id']);
    mysqli_query($conn, "DELETE FROM products WHERE id = $id");
    header("Location: ".$_SERVER['PHP_SELF']);
    exit();
}

// Traitement de la modification
if(isset($_POST['update'])) {
    $id = intval($_POST['edit_id']);
    $name = mysqli_real_escape_string($conn, $_POST['edit_name']);
    $price = floatval($_POST['edit_price']);
    $stock = intval($_POST['edit_stock']);
    $category = mysqli_real_escape_string($conn, $_POST['edit_category']);
    $type_pro = mysqli_real_escape_string($conn, $_POST['edit_type_pro']);
    $fournisseur_name = mysqli_real_escape_string($conn, $_POST['edit_fournisseur_name']);
    
    $seuil_alerte = round($stock * 0.3); // 30% du stock
    $total = $price * $stock;
    
    $sql = "UPDATE products SET 
            name = '$name',
            price = $price,
            stock = $stock,
            category = '$category',
            type_pro = '$type_pro',
            seuil_alerte = $seuil_alerte,
            fournisseur_name = '$fournisseur_name',
            total_vente = $total
            WHERE id = $id";
            
    mysqli_query($conn, $sql);
    header("Location: ".$_SERVER['PHP_SELF']);
    exit();
}

// Traitement de l'ajout
if(isset($_POST['submit'])) {
    $name = mysqli_real_escape_string($conn, $_POST['name']);
    $price = floatval($_POST['price']);
    $stock = intval($_POST['stock']);
    $category = mysqli_real_escape_string($conn, $_POST['category']);
    $type_pro = mysqli_real_escape_string($conn, $_POST['type_pro']);
    $fournisseur_name = mysqli_real_escape_string($conn, $_POST['fournisseur_name']);
    
    // Calcul automatique du seuil d'alerte à 30% du stock
    $seuil_alerte = round($stock * 0.3);
    
    // Génération du code-barres
    $prefix = strtoupper(substr($name, 0, 2));
    $random = str_pad(rand(0, 999999), 6, '0', STR_PAD_LEFT);
    $barcode = $prefix . $random;
    
    // Calcul du total
    $total = $price * $stock;
    
    $sql = "INSERT INTO products (barcode, name, price, stock, category, created_at, type_pro, seuil_alerte, fournisseur_name, total_vente) 
            VALUES ('$barcode', '$name', $price, $stock, '$category', NOW(), '$type_pro', $seuil_alerte, '$fournisseur_name', $total)";
    
    mysqli_query($conn, $sql);
    header("Location: ".$_SERVER['PHP_SELF']);
    exit();
}

// Récupération des fournisseurs
$fournisseurs = mysqli_query($conn, "SELECT nom FROM fournisseurs ORDER BY nom ASC");

// Récupération des 10 derniers produits
$result = mysqli_query($conn, "SELECT * FROM products ORDER BY created_at DESC LIMIT 10");
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gestion des Produits</title>
    <style>
        * {
            box-sizing: border-box;
            margin: 0;
            padding: 0;
        }

        body {
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
            padding: 20px;
        }

        .product-form {
            background: white;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            margin: 20px 0;
        }

        .form-row {
            display: flex;
            gap: 20px;
            margin-bottom: 15px;
        }

        .form-group {
            flex: 1;
        }

        .form-group label {
            display: block;
            margin-bottom: 5px;
            font-weight: bold;
        }

        .form-group input, .form-group select {
            width: 100%;
            padding: 8px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }

        .submit-btn {
            background-color: #001f3f;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            width: 100%;
        }

        .products-table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
            background: white;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        .products-table th, .products-table td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }

        .products-table th {
            background-color: #001f3f;
            color: white;
        }

        .action-cell {
            position: relative;
        }

        .action-toggle {
            cursor: pointer;
            padding: 5px;
        }

        .action-menu {
            display: none;
            position: absolute;
            background: white;
            border: 1px solid #ddd;
            border-radius: 4px;
            padding: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        .action-menu button {
            display: block;
            width: 100%;
            padding: 5px 10px;
            margin: 2px 0;
            border: none;
            background: none;
            cursor: pointer;
            text-align: left;
        }

        .action-menu button:hover {
            background-color: #f5f5f5;
        }

        .edit-btn {
            color: #2196F3;
        }

        .delete-btn {
            color: #f44336;
        }

        /* Style pour la modal */
        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
        }

        .modal-content {
            background-color: white;
            margin: 10% auto;
            padding: 20px;
            width: 80%;
            max-width: 600px;
            border-radius: 5px;
        }

        .close-modal {
            float: right;
            cursor: pointer;
            font-size: 24px;
        }
           body {
            font-family: Arial, sans-serif;
            margin: 0;
            background-color: #f4f4f4;
        }

        .sidebar {
            width: 250px;
            background-color: #001f3f;
            color: #fff;
            height: 100vh;
            position: fixed;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .sidebar .logo {
            width: 100%;
            background-color: #003366;
            text-align: center;
            padding: 20px 0;
            font-size: 20px;
            font-weight: bold;
        }

        .sidebar ul {
            list-style: none;
            padding: 0;
            margin: 0;
            width: 100%;
        }

        .sidebar ul li {
            padding: 15px 20px;
            border-bottom: 1px solid rgba(255, 255, 255, 0.2);
            text-align: center;
        }

        .sidebar ul li:hover {
            background-color: #002b4e;
            cursor: pointer;
        }

        .main-content {
            margin-left: 250px;
            padding: 20px;
        }

        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
            background-color: #333;
            color: white;
        }

        .header h2 {
            margin: 0;
        }

        .grid {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 15px;
            margin: 20px 0;
        }

        .card {
            background: white;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            padding: 15px;
            text-align: center;
        }

        .card h3 {
            margin: 10px 0;
        }

        .chart-container {
            display: flex;
            justify-content: space-between;
            margin-top: 30px;
        }

        .chart {
            background: white;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            padding: 20px;
            width: 48%;
        }

        .chart h3 {
            margin-bottom: 20px;
        }

        .footer {
            margin-top: 50px;
            text-align: center;
            color: #aaa;
        }

        .pie-chart {
            height: 200px;
            background: #eaeaea;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
        }

        .bar-chart {
            height: 200px;
            background: #eaeaea;
            display: flex;
            align-items: flex-end;
            justify-content: space-around;
        }

        .bar {
            width: 20px;
            background-color: #7dbe45;
            margin: 0 10px;
        }

        .bar.blue {
            background-color: #5b9bd5;
        }
    </style>
</head>
<body>
     <div class="sidebar">
        <div class="logo-container">
            <img src="image/logognimaholding.PNG" alt="Logo" style="max-width: 100%; max-height: 150%;">
        </div>
        <ul>
            <li > <a href="brod_gestionnaire.php">Accueil</a></li>
            <li> <a href="page_produit_bon.php">Produits</a></li>
            <li> <a href="enregistrer_fournisseur.php">Fournisseurs</a></li>
            <li> <a href="enregistrer_commande.php">Commandes</a></li>
            <li> <a href="enregistrer_ravitaillements.php">Ravitaillement</a></li>
            <li> <a href="https://www.exemple1.com">Tous détail produit</a></li>
            <li> <a href="https://www.exemple1.com">Statistiques</a></li>
            <li> <a href="index.php">Déconnexion</a></li>
        </ul>
    </div>

    <div class="main-content">
        <div class="header">
            <h2>Tableau de bord</h2>
            <div>
                <span>🔔</span>
                <span>⚙</span>
                <span>🔓</span>
            </div>
        </div>


      

       
    

    <div class="product-form">
        <h2>Enregistrement des Produits</h2>
        <form method="POST" action="">
            <div class="form-row">
                <div class="form-group">
                    <label>Nom du Produit</label>
                    <input type="text" name="name" required>
                </div>
                <div class="form-group">
                    <label>Prix</label>
                    <input type="number" step="0.01" name="price" required>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group">
                    <label>Stock</label>
                    <input type="number" name="stock" required>
                </div>
                <div class="form-group">
                    <label>Catégorie</label>
                    <input type="text" name="category" required>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group">
                    <label>Type de Produit</label>
                    <select name="type_pro" required>
                        <option value="gros">Gros</option>
                        <option value="détail">Détail</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>Fournisseur</label>
                    <select name="fournisseur_name" required>
                        <?php while($fournisseur = mysqli_fetch_assoc($fournisseurs)): ?>
                            <option value="<?php echo htmlspecialchars($fournisseur['nom']); ?>">
                                <?php echo htmlspecialchars($fournisseur['nom']); ?>
                            </option>
                        <?php endwhile; ?>
                    </select>
                </div>
            </div>
            <button type="submit" name="submit" class="submit-btn">Enregistrer</button>
        </form>
    </div>

    <div class="recent-products">
        <h2>Derniers Produits Enregistrés</h2>
        <table class="products-table">
            <thead>
                <tr>
                    <th>Code-barres</th>
                    <th>Nom</th>
                    <th>Prix</th>
                    <th>Stock</th>
                    <th>Catégorie</th>
                    <th>Type</th>
                    <th>Fournisseur</th>
                    <th>Total</th>
                    <th>Date</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php while($row = mysqli_fetch_assoc($result)): ?>
                <tr>
                    <td><?php echo htmlspecialchars($row['barcode']); ?></td>
                    <td><?php echo htmlspecialchars($row['name']); ?></td>
                    <td><?php echo number_format($row['price'], 2); ?> fcfa</td>
                    <td><?php echo $row['stock']; ?></td>
                    <td><?php echo htmlspecialchars($row['category']); ?></td>
                    <td><?php echo htmlspecialchars($row['type_pro']); ?></td>
                    <td><?php echo htmlspecialchars($row['fournisseur_name']); ?></td>
                    <td><?php echo number_format($row['total_vente'], 2); ?> fcfa</td>
                    <td><?php echo date('d/m/Y', strtotime($row['created_at'])); ?></td>
                    <td class="action-cell">
                        <div class="action-toggle">...</div>
                        <div class="action-menu">
                            <button class="edit-btn" onclick="showEditModal(<?php echo htmlspecialchars(json_encode($row)); ?>)">
                                Modifier
                            </button>
                            <button class="delete-btn" onclick="deleteProduct(<?php echo $row['id']; ?>)">
                                Supprimer
                            </button>
                        </div>
                    </td>
                </tr>
                <?php endwhile; ?>
            </tbody>
        </table>
    </div>

    <!-- Modal de modification -->
    <div id="editModal" class="modal">
        <div class="modal-content">
            <span class="close-modal" onclick="closeEditModal()">&times;</span>
            <h2>Modifier le Produit</h2>
            <form method="POST" action="" id="editForm">
                <input type="hidden" name="edit_id" id="edit_id">
                <div class="form-row">
                    <div class="form-group">
                        <label>Nom du Produit</label>
                        <input type="text" name="edit_name" id="edit_name" required>
                    </div>
                    <div class="form-group">
                        <label>Prix</label>
                        <input type="number" step="0.01" name="edit_price" id="edit_price" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group">
                        <label>Stock</label>
                        <input type="number" name="edit_stock" id="edit_stock" required>
                    </div>
                    <div class="form-group">
                        <label>Catégorie</label>
                        <input type="text" name="edit_category" id="edit_category" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group">
                        <label>Type de Produit</label>
                        <select name="edit_type_pro" id="edit_type_pro" required>
                            <option value="gros">Gros</option>
                            <option value="détail">Détail</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Fournisseur</label>
                        <select name="edit_fournisseur_name" id="edit_fournisseur_name" required>
                            <?php 
                            mysqli_data_seek($fournisseurs, 0);
                            while($fournisseur = mysqli_fetch_assoc($fournisseurs)): 
                            ?>
                                <option value="<?php echo htmlspecialchars($fournisseur['nom']); ?>">
                                    <?php echo htmlspecialchars($fournisseur['nom']); ?>
                                </option>
                            <?php endwhile; ?>
                        </select>
                    </div>
                </div>
                <button type="submit" name="update" class="submit-btn">Mettre à jour</button>
            </form>
        </div>
    </div>
</div>
       
    <!-- Formulaire de suppression caché -->
    <form id="deleteForm" method="POST" style="display: none;">
        <input type="hidden" name="delete_id" id="delete_id">
        <input type="hidden" name="delete" value="1">
    </form>

    <script>
        // Gestion des menus d'action
        document.querySelectorAll('.action-toggle').forEach(toggle => {
            toggle.addEventListener('click', (e) => {
                // Ferme tous les autres menus
                document.querySelectorAll('.action-menu').forEach(menu => {
                    if (menu !== e.target.nextElementSibling) {
                        menu.style.display = 'none';
                    }
                });
                
                // Bascule l'affichage du menu actuel
                const menu = e.target.nextElementSibling;
                menu.style.display = menu.style.display === 'block'
                menu.style.display = menu.style.display === 'block' ? 'none' : 'block';
            });
        });

        // Ferme les menus si on clique ailleurs
        document.addEventListener('click', (e) => {
            if (!e.target.matches('.action-toggle')) {
                document.querySelectorAll('.action-menu').forEach(menu => {
                    menu.style.display = 'none';
                });
            }
        });

        // Fonction pour afficher la modal de modification
        function showEditModal(product) {
            document.getElementById('edit_id').value = product.id;
            document.getElementById('edit_name').value = product.name;
            document.getElementById('edit_price').value = product.price;
            document.getElementById('edit_stock').value = product.stock;
            document.getElementById('edit_category').value = product.category;
            document.getElementById('edit_type_pro').value = product.type_pro;
            document.getElementById('edit_fournisseur_name').value = product.fournisseur_name;
            
            document.getElementById('editModal').style.display = 'block';
        }

        // Fonction pour fermer la modal
        function closeEditModal() {
            document.getElementById('editModal').style.display = 'none';
        }

        // Fonction de suppression
        function deleteProduct(id) {
            if (confirm('Êtes-vous sûr de vouloir supprimer ce produit ?')) {
                document.getElementById('delete_id').value = id;
                document.getElementById('deleteForm').submit();
            }
        }

        // Ferme la modal si on clique en dehors
        window.onclick = function(event) {
            if (event.target == document.getElementById('editModal')) {
                closeEditModal();
            }
        }
    </script>
</body>
</html>