

<?php
session_start();
include 'db_connect.php';

// Gestion des commandes
class GestionCommandes {
    private $conn;

    public function __construct($connexion) {
        $this->conn = $connexion;
    }

    public function ajouterCommande($client, $produit, $quantite, $prix) {
        $client = $this->conn->real_escape_string($client);
        $produit = $this->conn->real_escape_string($produit);
        $quantite = floatval($quantite);
        $prix = floatval($prix);
        
        $sql = "INSERT INTO commandes (client, produit, quantite, prix) 
                VALUES ('$client', '$produit', $quantite, $prix)";
        return $this->conn->query($sql);
    }

    public function obtenirCommandes() {
        $sql = "SELECT * FROM commandes ORDER BY date_creation DESC";
        return $this->conn->query($sql);
    }

    public function supprimerCommande($id) {
        $id = intval($id);
        $sql = "DELETE FROM commandes WHERE id = $id";
        return $this->conn->query($sql);
    }
}

$gestionCommandes = new GestionCommandes($conn);

// Traitement du formulaire
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['ajouter_commande'])) {
    $client = $_POST['client'];
    
    for ($i = 0; $i < count($_POST['produits']); $i++) {
        if (!empty($_POST['produits'][$i]) && !empty($_POST['quantites'][$i]) && !empty($_POST['prix'][$i])) {
            $gestionCommandes->ajouterCommande(
                $client,
                $_POST['produits'][$i],
                $_POST['quantites'][$i],
                $_POST['prix'][$i]
            );
        }
    }
    
    header("Location: " . $_SERVER['PHP_SELF'] . "?success=1");
    exit();
}

// Suppression
if (isset($_GET['supprimer'])) {
    $id = intval($_GET['supprimer']);
    if ($gestionCommandes->supprimerCommande($id)) {
        header("Location: " . $_SERVER['PHP_SELF'] . "?deleted=1");
        exit();
    }
}
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Gestion des Commandes</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet">
    <style>
        :root {
            --primary-color: #4a90e2;
            --secondary-color: #2ecc71;
            --danger-color: #e74c3c;
            --background-color: #f5f6fa;
        }

        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            background-color: var(--background-color);
            margin: 0;
            padding: 20px;
            color: #2c3e50;
        }

        .container {
            max-width: 1200px;
            margin: 0 auto;
            background: white;
            border-radius: 15px;
            box-shadow: 0 8px 16px rgba(0,0,0,0.1);
            padding: 30px;
        }

        h1, h2 {
            color: var(--primary-color);
            text-align: center;
            margin-bottom: 30px;
            position: relative;
        }

        h1::after, h2::after {
            content: '';
            display: block;
            width: 100px;
            height: 4px;
            background: var(--primary-color);
            margin: 10px auto;
            border-radius: 2px;
        }

        .form-section {
            background: #fff;
            border-radius: 10px;
            padding: 25px;
            margin-bottom: 30px;
            box-shadow: 0 4px 6px rgba(0,0,0,0.05);
        }

        .produits-section {
            display: flex;
            flex-direction: column;
            gap: 15px;
        }

        .produit-ligne {
            display: grid;
            grid-template-columns: 3fr 1fr 1fr auto;
            gap: 15px;
            align-items: center;
            padding: 15px;
            background: #f8f9fa;
            border-radius: 8px;
            transition: all 0.3s ease;
        }

        .produit-ligne:hover {
            transform: translateX(5px);
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
        }

        input {
            width: 100%;
            padding: 12px;
            border: 2px solid #e9ecef;
            border-radius: 8px;
            font-size: 14px;
            transition: all 0.3s ease;
        }

        input:focus {
            border-color: var(--primary-color);
            box-shadow: 0 0 0 3px rgba(74, 144, 226, 0.1);
            outline: none;
        }

        .btn {
            padding: 12px 20px;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            font-weight: 600;
            transition: all 0.3s ease;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            gap: 8px;
        }

        .btn i {
            font-size: 16px;
        }

        .btn-primary {
            background-color: var(--primary-color);
            color: white;
        }

        .btn-success {
            background-color: var(--secondary-color);
            color: white;
        }

        .btn-danger {
            background-color: var(--danger-color);
            color: white;
        }

        .btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 4px 8px rgba(0,0,0,0.1);
        }

        table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0;
            margin-top: 20px;
        }

        th, td {
            padding: 15px;
            text-align: left;
            border-bottom: 1px solid #e9ecef;
        }

        th {
            background-color: var(--primary-color);
            color: white;
            font-weight: 600;
        }

        th:first-child {
            border-top-left-radius: 8px;
        }

        th:last-child {
            border-top-right-radius: 8px;
        }

        tr:hover td {
            background-color: #f8f9fa;
        }

        .notification {
            padding: 15px;
            margin-bottom: 20px;
            border-radius: 8px;
            display: flex;
            align-items: center;
            gap: 10px;
            animation: slideIn 0.5s ease-out;
        }

        .success {
            background-color: #d4edda;
            color: #155724;
            border: 1px solid #c3e6cb;
        }

        @keyframes slideIn {
            from {
                transform: translateY(-20px);
                opacity: 0;
            }
            to {
                transform: translateY(0);
                opacity: 1;
            }
        }

        @keyframes fadeIn {
            from { opacity: 0; }
            to { opacity: 1; }
        }

        .new-row {
            animation: fadeIn 0.5s ease-out;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1><i class="fas fa-shopping-cart"></i> Gestion des Commandes</h1>
        
        <?php if (isset($_GET['success'])): ?>
        <div class="notification success">
            <i class="fas fa-check-circle"></i>
            Commande ajoutée avec succès !
        </div>
        <?php endif; ?>

        <?php if (isset($_GET['deleted'])): ?>
        <div class="notification success">
            <i class="fas fa-trash-alt"></i>
            Commande supprimée avec succès !
        </div>
        <?php endif; ?>

        <div class="form-section">
            <form method="POST" action="" id="commandeForm">
                <input type="text" name="client" placeholder="Nom du Client" required>
                
                <div class="produits-section" id="produitContainer">
                    <div class="produit-ligne">
                        <input type="text" name="produits[]" placeholder="Nom du Produit" required>
                        <input type="number" name="quantites[]" placeholder="Quantité" min="1" required>
                        <input type="number" name="prix[]" step="0.01" placeholder="Prix" min="0" required>
                    </div>
                </div>

                <div style="margin-top: 20px;">
                    <button type="button" class="btn btn-success" onclick="ajouterProduit()">
                        <i class="fas fa-plus"></i> Ajouter un Produit
                    </button>
                    
                    <button type="submit" name="ajouter_commande" class="btn btn-primary">
                        <i class="fas fa-save"></i> Enregistrer la Commande
                    </button>
                </div>
            </form>
        </div>

        <div class="liste-commandes">
            <h2><i class="fas fa-list"></i> Liste des Commandes</h2>
            <table>
                <tr>
                    <th>Client</th>
                    <th>Produit</th>
                    <th>Quantité</th>
                    <th>Prix</th>
                    <th>Date</th>
                    <th>Actions</th>
                </tr>
                <?php 
                $commandes = $gestionCommandes->obtenirCommandes();
                while($commande = $commandes->fetch_assoc()): 
                ?>
                    <tr>
                        <td><?= htmlspecialchars($commande['client']) ?></td>
                        <td><?= htmlspecialchars($commande['produit']) ?></td>
                        <td><?= $commande['quantite'] ?></td>
                        <td><?= number_format($commande['prix'], 2) ?> €</td>
                        <td><?= $commande['date_creation'] ?></td>
                        <td>
                            <a href="?supprimer=<?= $commande['id'] ?>" 
                               class="btn btn-danger" 
                               onclick="return confirm('Voulez-vous vraiment supprimer cette commande ?')">
                                <i class="fas fa-trash"></i>
                            </a>
                        </td>
                    </tr>
                <?php endwhile; ?>
            </table>
        </div>
    </div>

    <script>
    function ajouterProduit() {
        const container = document.getElementById('produitContainer');
        const nouvelleLigne = document.createElement('div');
        nouvelleLigne.className = 'produit-ligne new-row';
        
        nouvelleLigne.innerHTML = `
            <input type="text" name="produits[]" placeholder="Nom du Produit" required>
            <input type="number" name="quantites[]" placeholder="Quantité" min="1" required>
            <input type="number" name="prix[]" step="0.01" placeholder="Prix" min="0" required>
            <button type="button" class="btn btn-danger" onclick="supprimerProduit(this)">
                <i class="fas fa-trash"></i>
            </button>
        `;
        
        container.appendChild(nouvelleLigne);
    }

    function supprimerProduit(button) {
        const ligne = button.closest('.produit-ligne');
        ligne.style.animation = 'fadeOut 0.3s ease-out';
        setTimeout(() => ligne.remove(), 300);
    }
    </script>
</body>
</html>
<?php $conn->close(); ?>