<?php
session_start();
include 'db_connect.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $user_id = $_SESSION['user_id'];
    $cart = json_decode($_POST['cart'], true);
    $total = $_POST['total'];
    $montantRecu = $_POST['montantRecu'];
    $monnaie = $_POST['monnaie'];
    $moyenPaiement = $_POST['moyenPaiement'];

    // Enregistrement de la vente
    $stmt = $conn->prepare("INSERT INTO ventes (utilisateur_id, montant_total, montant_recu, monnaie_rendue, moyen_paiement) VALUES (?, ?, ?, ?, ?)");
    $stmt->bind_param("iddds", $user_id, $total, $montantRecu, $monnaie, $moyenPaiement);
    if ($stmt->execute()) {
        $vente_id = $stmt->insert_id;

        // Enregistrement des détails de la vente
        $stmt_detail = $conn->prepare("INSERT INTO details_ventes (vente_id, produit_id, quantite, montant) VALUES (?, ?, ?, ?)");
        foreach ($cart as $item) {
            $montant = $item['qty'] * $item['price'];
            $stmt_detail->bind_param("iiid", $vente_id, $item['id'], $item['qty'], $montant);
            $stmt_detail->execute();

            // Mise à jour du stock
            $update_stock = $conn->prepare("UPDATE products SET stock = stock - ? WHERE id = ?");
            $update_stock->bind_param("ii", $item['qty'], $item['id']);
            $update_stock->execute();
        }

        echo "success";
    } else {
        echo "Erreur lors de l'enregistrement.";
    }
}
?>
