<?php
session_start();

include 'db_connect.php';

// Requête pour calculer la somme de (quantite * prix)
$sql = "SELECT SUM(quantite * prix) AS total FROM commandes";
$result = $conn->query($sql);

// Vérification du résultat
if ($result->num_rows > 0) {
    // Récupération de la valeur totale
    $row = $result->fetch_assoc();
    $total = $row['total'];
} else {
    $total = 0;
}

// Fermeture de la connexion
$conn->close();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ADMINBSB - MATERIAL DESIGN</title>
    <style>
        :root {
            --pink: #E91E63;
            --cyan: #00BCD4;
            --green: #8BC34A;
            --orange: #FF9800;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background: #f5f5f5;
        }

        .top-bar {
            background: #F44336;
            color: white;
            padding: 15px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .logo-space {
            display: flex;
            align-items: center;
            gap: 10px;
        }

        .logo-space img {
            width: 40px;
            height: 40px;
        }

        .sidebar {
            width: 300px;
            background: #2196F3;  /* Changé en bleu */
            height: calc(100vh - 60px);
            position: fixed;
            left: 0;
            box-shadow: 2px 0 5px rgba(0,0,0,0.1);
            color: white;
        }

        .profile-section {
            background: linear-gradient(45deg, #EC407A, #D81B60);
            color: white;
            padding: 20px;
            height: 150px;
        }

        .main-navigation {
            padding: 15px;
        }

        .nav-item {
            padding: 12px 15px;
            display: flex;
            align-items: center;
            cursor: pointer;
        }

        .nav-item:hover {
            background: rgba(255, 255, 255, 0.1);
        }

        .dashboard-cards {
            margin-left: 300px;
            padding: 20px;
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 20px;
        }

        .info-box {
            height: 80px;
            display: flex;
            align-items: center;
            padding: 20px;
            color: white;
            border-radius: 2px;
        }

        .info-box.pink { background: var(--pink); }
        .info-box.cyan { background: var(--cyan); }
        .info-box.green { background: var(--green); }
        .info-box.orange { background: var(--orange); }

        .info-box-number {
            font-size: 26px;
            font-weight: bold;
        }

        .cpu-chart {
            margin: 20px;
            margin-left: 320px;
            background: white;
            padding: 20px;
            border-radius: 2px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }

        .stats-grid {
            margin-left: 320px;
            padding: 0 20px;
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            gap: 20px;
        }

        .stats-card {
            background: white;
            padding: 20px;
            border-radius: 2px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }

        .social-trends {
            background: var(--cyan);
            color: white;
        }

        .task-list {
            margin-top: 20px;
            padding: 20px;
            margin-left: 320px;
            background: white;
            border-radius: 2px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }
        
        .status-badge {
            padding: 3px 8px;
            border-radius: 3px;
            background: #4CAF50;
            color: white;
            font-size: 12px;
        }

        .progress-bar {
            height: 20px;
            background: #4CAF50;
            border-radius: 3px;
        }
    </style>
</head>
<body>
    <div class="top-bar">
        <div class="logo-space">
            <img src="/api/placeholder/40/40" alt="Logo">
            ADMINBSB - MATERIAL DESIGN
        </div>
        <div class="icons">
            <span>🔍</span>
            <span>🔔</span>
            <span>⚙️</span>
        </div>
    </div>

   <div class="sidebar">
        <div class="profile-section">
            <div id="employe">
        <h3>Utilisateur</h3>
        <?php if (!empty($employe)): ?>
            <p><strong></strong> <?= htmlspecialchars($employe['username']) ?></p>
            <p><strong></strong> <?= htmlspecialchars($employe['email']) ?></p>
        <?php else: ?>
            <p>Aucune donnée trouvée pour cet utilisateur.</p>
        <?php endif; ?>
    </div>
        </div>
        <div class="main-navigation">
            <div class="nav-item" onclick="window.location.href='administrateur.php';">🏠 ACCEUIL</div>
            <div class="nav-item" onclick="window.location.href='page_fournisseur.php';">🔤 FOURNISSEURS</div>
            <div class="nav-item" onclick="window.location.href='page_produit.php';">⚡ PRODUITS
            </div>
            <div class="nav-item" onclick="window.location.href='page_commande.php';">📊 COMMANDES</div>
            <div class="nav-item" onclick="window.location.href='page_utilisateur.php';">💻 UTILISATEURS</div>
            <div class="nav-item" onclick="window.location.href='benefice_produit.php';">📝 VOIR BENEFICES </div>
            <div class="nav-item" onclick="window.location.href='page_produit.php';">📋 Tables</div>
            <div class="nav-item" onclick="window.location.href='page_produit.php';">🖼️ Medias</div>
            <div class="nav-item" onclick="window.location.href='index.php';">📈 DECONNEXION</div>
        </div>
    </div>

    <div class="dashboard-cards">
        <div class="info-box pink">
            <div>
                <div>NOUVELLE TACHE</div>
                <div class="info-box-number" id="total-commandes"> <?php echo "Total : " . number_format($total, 2, ',', ' ') . " fcfa"; ?></div>
            </div>
        </div>
        <div class="info-box cyan">
            <div>
                <div>NOUVEAUX BILLETS</div>
                <div class="info-box-number" id="total-products">Chargement...</div>
            </div>
        </div>
        <div class="info-box green">
            <div>
                <div>NEW COMMENTS</div>
                <div class="info-box-number">243</div>
            </div>
        </div>
        <div class="info-box orange">
            <div>
                <div>NEW VISITORS</div>
                <div class="info-box-number">1225</div>
            </div>
        </div>
    </div>

    <div class="cpu-chart">
        <h3>CPU USAGE (%)</h3>
        <canvas id="cpuChart"></canvas>
    </div>

    <div class="stats-grid">
        <div class="stats-card" style="background: var(--pink); color: white;">
            <h3>TODAY</h3>
            <div>1,200 views</div>
            <h3>YESTERDAY</h3>
            <div>3,872 views</div>
            <h3>LAST WEEK</h3>
            <div>28,582 views</div>
        </div>
        <div class="social-trends">
            <h3>LATEST SOCIAL TRENDS</h3>
            <div>#materialdesign ↗</div>
            <div>#adminbsb ↗</div>
            <div>#templates ↗</div>
            <div>#admintemplate ↗</div>
        </div>
        <div class="stats-card" style="background: #009688; color: white;">
            <h3>ANSWERED TICKETS</h3>
            <div>TODAY: 12</div>
            <div>YESTERDAY: 15</div>
            <div>LAST WEEK: 90</div>
            <div>LAST MONTH: 342</div>
            <div>LAST YEAR: 4,225</div>
            <div>ALL: 8,752</div>
        </div>
    </div>

    <div class="task-list">
        <h3>TASK INFOS</h3>
        <table style="width: 100%; margin-top: 15px;">
            <tr>
                <th>Task</th>
                <th>Status</th>
                <th>Manager</th>
                <th>Progress</th>
            </tr>
            <tr>
                <td>Task A</td>
                <td><span class="status-badge">Done</span></td>
                <td>John Doe</td>
                <td><div class="progress-bar" style="width: 100%"></div></td>
            </tr>
            <tr>
                <td>Task B</td>
                <td><span class="status-badge">In Progress</span></td>
                <td>John Doe</td>
                <td><div class="progress-bar" style="width: 40%"></div></td>
            </tr>
        </table>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.0/chart.min.js"></script>
    <script>
        // Simulation des données de la base de données
        const commandes = [
            { id: 1, montant: 100 },
            { id: 2, montant: 200 },
            { id: 3, montant: 300 }
        ];

        const products = [
            { id: 1, prix: 500 },
            { id: 2, prix: 700 },
            { id: 3, prix: 900 }
        ];

        // Calcul du total des commandes
        const totalCommandes = commandes.reduce((acc, curr) => acc + curr.montant, 0);
        document.getElementById('total-commandes').textContent = totalCommandes + '€';

        // Calcul du total des products
        const totalProducts = products.reduce((acc, curr) => acc + curr.prix, 0);
        document.getElementById('total-products').textContent = totalProducts + '€';

        // CPU Chart
        const ctx = document.getElementById('cpuChart').getContext('2d');
        new Chart(ctx, {
            type: 'line',
            data: {
                labels: Array.from({length: 100}, (_, i) => i),
                datasets: [{
                    label: 'CPU Usage',
                    data: Array.from({length: 100}, () => Math.random() * 30 + 20),
                    fill: true,
                    borderColor: '#00BCD4',
                    backgroundColor: 'rgba(0, 188, 212, 0.1)',
                    tension: 0.4
                }]
            },
            options: {
                responsive: true,
                plugins: {
                    legend: {
                        display: false
                    }
                },
                scales: {
                    y: {
                        beginAtZero: true,
                        max: 100
                    }
                }
            }
        });
    </script>
</body>
</html>